GNU bug report logs - #25228
25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: werner@HIDDEN (Dr. Werner Fink); merged with #24482, #26340; dated Mon, 19 Dec 2016 11:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 24482 25228 26340. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 25228 26340. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 23 Dec 2016 07:29:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 02:29:47 2016
Received: from localhost ([127.0.0.1]:52025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cKKIV-0004zd-AM
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2016 02:29:47 -0500
Received: from mx2.suse.de ([195.135.220.15]:56279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cKKIU-0004zW-DM
 for 25228 <at> debbugs.gnu.org; Fri, 23 Dec 2016 02:29:46 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 88038ABB4;
 Fri, 23 Dec 2016 07:29:45 +0000 (UTC)
Date: Fri, 23 Dec 2016 08:29:42 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
Message-ID: <20161223072942.wuerenpxbd7aci5g@HIDDEN>
References: <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <585A41F8.9010709@HIDDEN>
 <20161221120826.3n7vlfa4dg55mro3@HIDDEN>
 <8337hh2nk5.fsf@HIDDEN> <585B9047.1010907@HIDDEN>
 <838tr727oa.fsf@HIDDEN> <585C114A.8020406@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="wypbgggoxcjbmg2c"
Content-Disposition: inline
In-Reply-To: <585C114A.8020406@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--wypbgggoxcjbmg2c
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 22, 2016 at 06:45:46PM +0100, martin rudalics wrote:
> > I agree, but I'm not sure we have anyone aboard who can tell.
>=20
> Neither am I.
>=20
> > Failing that, would unbinding the above solve the problem?
>=20
> Forcefully.
>=20
> > If so, we
> > could suggest that to people as workaround, until we find a proper
> > solution.
>=20
> Please do that.  Maybe in a way that people who simply wonder why their
> default font settings all of a sudden get overridden do not have to
> understand what's going on.  Something like "If you see this happen, put
>=20
> (define-key special-event-map [config-changed-event] 'ignore)
>=20
> into your .emacs.".

Hmmm ... couldn't that be a line within the API for (custom-set-faces)

My guess is that the dynamic font changing feature might be there to support
switching system fonts with gconf/dconf at runtime(?).  This might happen
if such a change triggers an event

Werner

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--wypbgggoxcjbmg2c
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYXNJmAAoJEFDpDVUdwWsuTzcP/2AJONGj1axAaGFpgJ9phage
QsS0dwNGGmbyeFfYCJCU0w5GP1g0EJ3JVa7KGgmn0I91K2hzJWpyGMh6dntwLzU1
I5AuodjjmfJnyb8F5ese9U8IVJeWiKoyhRRi1CfWyDV+qUp7HzhB16PYPTHnLMlG
twNaiAtUKbWOVHMU7y/5grJqdkYGOL6EXyyKwDMCTkYSFY+dtVs4KL6Xo4qW4Hjq
ky6JZANVjtDYSv1npwx2YwNGoPwn5DSgtlZ9z3QM8toDFjfpphdn7Ot/+VdhJ+10
/sX3iao25qOo4TT3mo8jjMmR+7oH3/2rChg50XuUjHoq4ZcoIqp/oh9NlGpRrXJU
QKZpCFCYWcpj0t7p5CwSEXchGCu3TEpUidOmSyYQDSfyhmceDrkJv33f1cYQb3X+
ZKG7nrGWNFMYUBJ+z4+fFv4ov2p0eHHkpyEhb9hGGK6Y2DWC5EVuU/BhZ/Xvr6Yh
nIrzHpFQfMzmoisRdQZxcqiXsAB7IJiDm3O3jC5S1g60pxWeTWlM8Rd7Rs+yOPNQ
Hno/Vr7lj0Od4SK5znZt8efv1W0+g+2Cv6D3/F7Oe0qGDQej/urJFd2TxEj6fRdx
Xslm2RgSlglAFwnoUwcAXI6EjBI/1TGvwb3IteYdD1UAanwzqng+FROj903L6Avb
Np1gMVd9RvZqw13Iic9Y
=GDDK
-----END PGP SIGNATURE-----

--wypbgggoxcjbmg2c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 23 Dec 2016 07:20:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 02:20:11 2016
Received: from localhost ([127.0.0.1]:52021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cKK9D-0004mN-0t
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2016 02:20:11 -0500
Received: from mx2.suse.de ([195.135.220.15]:55726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cKK9B-0004mF-D7
 for 25228 <at> debbugs.gnu.org; Fri, 23 Dec 2016 02:20:09 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id CC194ABB4;
 Fri, 23 Dec 2016 07:20:07 +0000 (UTC)
Date: Fri, 23 Dec 2016 08:20:03 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161223072003.6b47f7l7lldeou4z@HIDDEN>
References: <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
 <585A43B3.3090702@HIDDEN>
 <20161221110847.zh2fhyrcxiji4sdf@HIDDEN>
 <585B9042.2080800@HIDDEN>
 <20161222114616.vp6xa5kh6h3dcd34@HIDDEN>
 <585C110D.7070009@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="qzimgstrf6bncvaw"
Content-Disposition: inline
In-Reply-To: <585C110D.7070009@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--qzimgstrf6bncvaw
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 22, 2016 at 06:44:45PM +0100, martin rudalics wrote:
> >> What are the "both (custom-set-face)"?  Can you give me an example?
> >
> > That was
> >
> >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height 1=
10 :weight normal :slant normal :width normal)))))
> >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
> >
> > which in fact do show exactly the same font at the same attributes here.
>=20
> I'm still too dense to understand you.  Do you mean that one of these
> has been implicitly specified in the GSettings file, the other in your
> .emacs and although they would result in the same default character
> height, Emacs detects a difference in =E2=80=98font-setting-change-defaul=
t-font=E2=80=99
> and switches to a larger font?

There is no difference and the first (custom-set-faces) is from ~/.emacs
and the second is caused by gconf ... it is the same used font with the
same attributes.

After(!) fixing the DPI rounding in xsettings.c switching between both lines
with eval-expression results in no visible difference

Werner

--=20
 Dr. Werner Fink -- Software Engineer Consultant
 SUSE Linux GmbH,  Maxfeldstra=C3=9Fe 5,  90409 N=C3=BCrnberg,  Germany
 DE370832343409169, GF: Felix Imend=C3=B6rffer, Jane Smithard, Jennifer Gui=
ld,
 Dilip Upmanyu, Graham Norton, HRB 21284 (AG Nuernberg)
 phone: +49-911-740-53-0,  fax: +49-911-3206727,  www.opensuse.org
---------------------------------------------------------------------------
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--qzimgstrf6bncvaw
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYXNAjAAoJEFDpDVUdwWsurQ0P/2JKKFjKosAWgV4o7TyjfZWH
Hh6g7uXSIIDkKS4W50S2ZOvXFiu8Yz6PBArZRodypsGYZ7eACUsea6kC3CH3ja6V
yTSh9RvFfiRyiIJD3S9h7lleWRk0VsBp7325oYoJKhcrwitfNtSZfNfEzZ6mWAyH
gjTvPek7VNBePb6qBn21O9p9t9aBQk13qn8rKSDTt3bcv0F7wZ4YZKeuA5ItJ8Y1
8/UEI4zOPzUugxFt0AVsPACeg9Vpcf0PHggPHWSU3LqW4omz+XA49aB5BytePqY6
nfqKSHBbHhlmUgsgYk6VUaeN1bcLuDm0oVFFXcNpXO9cs3pwtkGMxSzimP9P24X7
d84oBW067WwfUVJJ9oi2rpCvWNyByqSVbgKUVn6MdKG8/Ow0Bcc/t4QKVinPBNHV
ZhRl4CcbVSf5oZhN8WT9FoHqGpFB7Vmfs7sKP5Cpb6o2pJFnLMT3C9k5siH85IZg
ANDF09r1nOO0NHZb0Y+MjjckK+qFjHYzhg662zpfyJUil9AldTeOXXI2TjHVtQEZ
5vdv6532IV1myfa+P7t6Drcws3q2UOLb5ten2qHAvmPgfMjPfw0E9vMFdPuULcvC
jaTDJy5+t3xYOXNio77k17WBRqnxdDMqRcZ/gfNHYGUKBBGSXG0J5JiN25YOMFok
SBtJrvnIFl3mCwknZSnU
=1cBF
-----END PGP SIGNATURE-----

--qzimgstrf6bncvaw--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 17:45:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 12:45:55 2016
Received: from localhost ([127.0.0.1]:51823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cK7RD-0002O0-HU
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:45:55 -0500
Received: from mout.gmx.net ([212.227.15.18]:63158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cK7RC-0002Nn-3o
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:45:54 -0500
Received: from [192.168.1.100] ([212.95.7.91]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LzcIM-1cgtSb2FJi-014mlG; Thu, 22
 Dec 2016 18:45:47 +0100
Message-ID: <585C114A.8020406@HIDDEN>
Date: Thu, 22 Dec 2016 18:45:46 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN> <585A41F8.9010709@HIDDEN>
 <20161221120826.3n7vlfa4dg55mro3@HIDDEN> <8337hh2nk5.fsf@HIDDEN>
 <585B9047.1010907@HIDDEN> <838tr727oa.fsf@HIDDEN>
In-Reply-To: <838tr727oa.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:AIVWQx/ieXwnnJ2tbk/tdOEVcT5q/Ng3FvzRpnUSkSD+5OlLrdA
 eD8wHZ77tZX7UJQzRiOyAATVzKU8YVYi+1sF4ba9XpELTKNauuHDIBIa49mF3sur1yiPwa6
 5nfMHebxD3gwvLFkZSr5edTHj0sCrIDi+X9kAukOqG469hQV08D5KKeUuxCYb7Wk1Alh+lK
 PRWjx/u8cTHY/o8pHk+vQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:3Igqyxje8Ms=:NWvONx7rQRSFzuz3wIWbSi
 axXmgiqeuM4fsE9k+VfiCdnFdQW8LxTh+Mr9c3AByH5f2OSzw8rRDTWy60o+du6pbnFGclNJi
 X2/qTuqnEV/WYogNyZeslp18SikmZiikxLwTVQY25cZRAMV1jiElvRlYQQEDiVB2hsxF6HWKP
 d8xzvyit+ppbbuHeyztQaY2TWBfdRKY3HzTg0gVs3KBz6I8bq7O6ybQBcofuD5onGyZFdO6kR
 SipaVqkRSoGQL3Gke6gNAC6hip9UPzyvg47xxvYntJxPjNGS9sxADNt+y8c3QKY52ahEFjl5O
 YQIbDJSgKHvIl3GW9BO1TJcPjH6X7IHGL9FY1Y4/66bQESt8J0FqptqYTGaMvDhOZfx8YJopv
 XBmXBIfhjU7mBNqqKXImorM3AiiGWv7G2HgTM/2vxIO9jm7g1Znp6bHfA+STIkPI5wvRT5uIZ
 wBe0UWfDTV4W4mqXC4t767B0GjivwjQruMZAkGR8TjOHL9+OgQX8PqgvQhr61oBaOG/53LN2v
 nWf0+NImhFDC/qP3YtGHpc6fmhI4MFVuQRAX+6aEZ+kHADCOcF5jujcqKARqw1WMNed/X3DJg
 qyXO1oC3+kEeF3Z5qDB7l1D/hgpxrQkk6inE2yc5BgAEY81iG6GBaBeF07cIJ5K7GuNRDhSLv
 qUMza1x71KX552anQxupqD6ykUNVAN5ij6tvaeup68l9HcJzvMTwOaSloLJmxshfZHF7UQGnF
 FZY/pY3XawX4rvXuTbHfeT9K8zGiUoGy7eRrQbX7TeEIxslw3OzWOIDAFPA3J6rK18H25ODmU
 FVEGm7BDowKBdh5+mpxn5YDg2TCmw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > I agree, but I'm not sure we have anyone aboard who can tell.

Neither am I.

 > Failing that, would unbinding the above solve the problem?

Forcefully.

 > If so, we
 > could suggest that to people as workaround, until we find a proper
 > solution.

Please do that.  Maybe in a way that people who simply wonder why their
default font settings all of a sudden get overridden do not have to
understand what's going on.  Something like "If you see this happen, put

(define-key special-event-map [config-changed-event] 'ignore)

into your .emacs.".

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 17:45:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 12:45:46 2016
Received: from localhost ([127.0.0.1]:51820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cK7R4-0002Ne-8e
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:45:46 -0500
Received: from mout.gmx.net ([212.227.15.15]:54140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cK7R2-0002NR-JI
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:45:45 -0500
Received: from [192.168.1.100] ([212.95.7.91]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lx83d-1ceQMA2gQL-016ie8; Thu, 22
 Dec 2016 18:45:35 +0100
Message-ID: <585C113D.7030706@HIDDEN>
Date: Thu, 22 Dec 2016 18:45:33 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
 <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
 <585A3266.1000904@HIDDEN>
 <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
 <585B903B.8010003@HIDDEN>
 <CAEtmmeyX4qEsU06LDeB+-V-LnNtbc8ZEEGukqJ58YifizWmMUQ@HIDDEN>
In-Reply-To: <CAEtmmeyX4qEsU06LDeB+-V-LnNtbc8ZEEGukqJ58YifizWmMUQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:XisCtXYu91GdOqrspQj/j12X0RRAPQ4gFctrLzhXvsbgodla4M8
 YtAHN0NSI6gHpO6jUnWksSEbRdV5Ck88rb6Ipful2jSOJ1eMeIe+teWohFb5yGqpursYhgM
 LNidHpyb9BUQ+zTRbkeEv2altgrZDYeuu/l0Rh9U4348qH38NT9cBLoAcOtUmv4e8uKlBqU
 kE5/m2/zVJxLytrmuPmaQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:G9tw2m8Id3E=:ILF/fCeu3EREBSm217ZOS8
 UpxKlHXROWYOog8wROAJFUdLeqyMwj9k2D+FX5Ck41O2qPcYTkf4Oh6K7V+LVVgVYaOUm70tp
 +hYRNQL+CaTqpYAzMOB4uBRT7rQhqUq7XEN+1VpikrrVfXyZutKKilThQUks5kWelg9QK9lPZ
 VsR/ne3NonGrbBgug3eNG0EMMWpKrVnTF6BzsO+ZJ4agLr5gPSrKI/yDDdtmsDZhSJJBAn+Yy
 a1dfVG+8b8IZpimcBugsFMrnQFc3YxvD9kNCGKFzDISz3Rz4tEvXuoyKlG8VU8sDGZo0KsA2z
 G5DDF/ys+DPIlW51UfSNSWb5JwAklepE1ppla7EVjHu5QEB5gkR0MFt0dIXsNIHz3L1SkkUYW
 xV+Q9WeIJXb3G6wfAzWargz+y0OYt0AM99q/E29wdvzyVHfY+zDMi9V96FsdFjDqzq+0EJNbU
 wxdFknA9QOVtTOp4rWkmvfrEPzB/hVb4hb7/skOiYWWKfI8BnRZm18v02keUpQwS25EtSf2Bf
 qqPAa2JDzpW0MwI6jH8coBGY6cSWjYcU1CdP9RRY6rWkn8n5nkJdHcSWyepyFVYV0XI//4C+S
 cscdzIxOrKJxb8F/WFl0aBGiQvWYT70DyF0V09zM+snx1VjgPiHnPZfkbVKVneJocZDeqkdtj
 06m81+thzte7+FAjberFQrcggbb97xFp7rQ95zd8ZxSYO9yMKP9JYW0y6O7lKxZ1LhYK+sXl7
 me+Ao0+dY1/oAbqpONJiKpWykcsG7f9oSELRAsDkhrDvI5ZgpsVfYuKoADSRCZDvpREMNe8aB
 DTGSqPg26nN02m6ITz9yamFKsa9lw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >>> FYI - this is most probably unrelated to the font-height problem, anyway:
 >>> 1. On my "font-height-works" machine (Ubuntu 16.10) the first invocation
 >>> of:
 >>>       ./src/emacs -q --eval "(set-face-attribute 'default nil :height 40)"
 >>> &
 >>> creates a rather small frame (I mean gtk window).
 >>
 >> With 40 lines though.  What did you expect?
 >
 > I think it's better to show you some screenshots:
 >
 > http://picpaste.com/first.png
 > Size is 522 x 486 - I think this is too small (a bug?)

I can't say - what does evaluating (frame-height) give - if you can read
it?

 > http://picpaste.com/second-fdbVUcuU.png
 > Size is 762 x 695 pixels - expected size

You mean the first picture was from a first invocation of Emacs and the
second picture from a second?  Funny.  Anyway - it's the menu bar.

I forgot for the umpteenth time where these GTK errors come from.  So
anybody who reads this please remember with me:

   Whenever you see in your Emacs session something like

   Gtk-CRITICAL **: gtk_distribute_natural_allocation:
   assertion 'extra_space >= 0' failed

   then most likely your GTK menubar has become too large for the
   (implicitly) specified frame width and GTK will deliberately widen
   your frame to make the menubar fit.

I haven't yet found out how to truncate menubars with GTK.

This behavior reaches its highest level of annoyance when switching
buffers in a window, a few menu bar items get added and the frame gets
wider ... I have to mention this in the Emacs 25.2 manual.

 >>> 3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under
 >>> Windows 7) I
 >>> always get small frames of the same size and I never see any Gtk errors or
 >>> warnings.
 >>
 >> The Windows API has no idea of window sizes based on the metrics of some
 >> default font.  The "round frame sizes to multiples of the default font
 >> height" paradigm is among the most irksome legacies the Emacs frame code
 >> has to deal with.
 >
 > I run my emacs on Ubuntu 16.10 with Xfce installed in Virtual Machine running
 > on Windows 7. Is Windows API the culprit here? I don't think so.

I have no idea.  Does the menu bar fit there?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 17:44:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 12:44:58 2016
Received: from localhost ([127.0.0.1]:51816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cK7QI-0002Lo-0t
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:44:58 -0500
Received: from mout.gmx.net ([212.227.15.18]:53070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cK7QG-0002La-01
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:44:56 -0500
Received: from [192.168.1.100] ([212.95.7.91]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M9aX9-1cQUXw1SBT-00CzOa; Thu, 22
 Dec 2016 18:44:47 +0100
Message-ID: <585C110D.7070009@HIDDEN>
Date: Thu, 22 Dec 2016 18:44:45 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr. Werner Fink" <werner@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
References: <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN> <585A43B3.3090702@HIDDEN>
 <20161221110847.zh2fhyrcxiji4sdf@HIDDEN> <585B9042.2080800@HIDDEN>
 <20161222114616.vp6xa5kh6h3dcd34@HIDDEN>
In-Reply-To: <20161222114616.vp6xa5kh6h3dcd34@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:J0/amwoH9LY80lx7yCzFf8byi4ov8oYRBUV6z+Of2pxTQAWJGwQ
 QudQddeRQlIiRjxkmCnoJ7ah9+OoT+PzQ7UMO45Q7w9GBp6/BcRi2jZkgXybnhHbCMhzTK0
 m2xnJS+U8b2lPMEGrlo9mrAxfvmzxxJpbXFdHOIfvhYoNnyNRjNG9dXDvzaugsfL8+PrGQh
 5goPO9m9w73xpuS2brZCw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:xW1OS23Xn1Y=:uReAetB4+Of4xv//U4nAts
 XujKVyG6f7eeXAfg0iTN35bbUwJh8yslntQ1p0VhRrNfNXPearjdYYE1IVjGsFFYpbGvl5TcV
 XjzOPzO27DCsLnqYSZWQ9q2eGG4bNQFsP9+IVWK5tj/KMULkm3wDB4yEaZj1Qz5NQR4lk8Guf
 cG22o00oqMWup3bX4GozVS1Bj120RXiySwL/zNx6hGJiZFDkunKeWtwc/BvHyIvDo+IjUTzqq
 yU/2FPnu8M4raTHsmvFQUNHRi1ToOlcXr44ayoJ5xxwR2k8qhUoCy+1JeliavWVOvHzL1pjIk
 Vr+ulSxNebk2UNpgw7oCrZXuuHm8lUrYrcLCWBOjo2RYj9l+F3pRXRCsXzzA+nPZc3HhEEA/K
 6b7D4SMNHehW7oRryPaTXY3h8CVN5ZDykOAua2speTDbvDumxcVTlbwXxr5d5N32nbrPO1m3Q
 dunuSbsll6vk05ao9qfHb5uqR95qo7SKt03wCiFP5CN8MqTgPixVewl4Giv0XCp448QzpY9qC
 Qq8OUspjZlrMJDPIEaCrK/GjKgWjl726zL8oQ/x3Eujrwlxkp5pZqZO+ijKUXzRm8gS6laJ4T
 BuwNzkLdk/QHnZT3VN94d9iqUQJUttKOkd49Xcc438W+TwhCdMT0PmLPy71kI0eCQOBeyhmET
 gkW2OSWK+6NllFfjbDpQO3VUXfTsJk8YcjpGZm08gGxuWlKJxZyPUe37oeJ6+kkahEWpnvY44
 5InKXaJYAzHIVkgqdAm3V927lFEZrWN1UNfmxNcHjvuLExpznmbOmuru0Di9SdpKc3iRnZCwk
 xZANIKuPUV/IquKu6eREnGHgOoQaw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >> What are the "both (custom-set-face)"?  Can you give me an example?
 >
 > That was
 >
 >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height =
110 :weight normal :slant normal :width normal)))))
 >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))=
))
 >
 > which in fact do show exactly the same font at the same attributes her=
e.

I'm still too dense to understand you.  Do you mean that one of these
has been implicitly specified in the GSettings file, the other in your
=2Eemacs and although they would result in the same default character
height, Emacs detects a difference in =E2=80=98font-setting-change-defaul=
t-font=E2=80=99
and switches to a larger font?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 17:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 12:30:48 2016
Received: from localhost ([127.0.0.1]:51811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cK7Ca-00021i-Nr
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:30:48 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cK7CZ-00021V-Iy
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:30:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cK7CR-0004Im-5o
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 12:30:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38602)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cK7CQ-0004IZ-Tk; Thu, 22 Dec 2016 12:30:39 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1128
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cK7CQ-0002Kj-10; Thu, 22 Dec 2016 12:30:38 -0500
Date: Thu, 22 Dec 2016 19:30:13 +0200
Message-Id: <838tr727oa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <585B9047.1010907@HIDDEN> (message from martin rudalics on Thu,
 22 Dec 2016 09:35:19 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN> <585A41F8.9010709@HIDDEN>
 <20161221120826.3n7vlfa4dg55mro3@HIDDEN> <8337hh2nk5.fsf@HIDDEN>
 <585B9047.1010907@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Thu, 22 Dec 2016 09:35:19 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: 25228 <at> debbugs.gnu.org
> 
>  > Anyway, how about if we simply introduce a defcustom that would
>  > disable dynamic-setting-handle-config-changed-event from having any
>  > effect?  Or maybe people who don't want this feature should be advised
>  > to simply unbind this key binding:
>  >
>  >    (define-key special-event-map [config-changed-event]
>  >      'dynamic-setting-handle-config-changed-event)
> 
> One variable that should help here but whose semantics I haven't been
> able to grok is ‘font-use-system-font’.  It would be very helpful if
> someone who uses the dynamic-setting code could tell us how it is
> supposed to work.  Then we could decide how to en-/disable some of its
> features.

I agree, but I'm not sure we have anyone aboard who can tell.

Failing that, would unbinding the above solve the problem?  If so, we
could suggest that to people as workaround, until we find a proper
solution.

>  > In any case, Martin, I think you should install your patch on the
>  > emacs-25 branch.
> 
> Done.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 11:59:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 06:59:51 2016
Received: from localhost ([127.0.0.1]:50965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cK22J-0006rZ-7F
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 06:59:51 -0500
Received: from mail-lf0-f65.google.com ([209.85.215.65]:33694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1cK22H-0006rL-Jj
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 06:59:50 -0500
Received: by mail-lf0-f65.google.com with SMTP id y21so16494212lfa.0
 for <25228 <at> debbugs.gnu.org>; Thu, 22 Dec 2016 03:59:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=/1EcPVQdMAPbMCMNtGSBw2mpys07gXzjY6Bde/RWLYY=;
 b=UqUac9DgmiV/kBjNTyHeRFZVkYlJPpQfkGr4bXmPn92mkP2tq6L9/2VZ2s7Vt0it+m
 oUhTqWjzPAMv5AiCocxbVzECvesED/tlOj73vTw/T7+ZY2HoZG3YvUhQ8xFIloaPvuOl
 txQiSBzVH4mITsGLLmYXi4mjcx2uDSSClMUYXWHl+93Yvb3fQ223N70VW81NTdx3cjzU
 /wvm9ALbVfiqzJfdkpX+8vHZxJXkI1WKIlY61l24ocTrF6O0ld2ln+TXXmmxhQTXOzrV
 uF7hBo7V+pTVOgNv/IkyXPzaFfIpjZ4KgobmRr8dTcuRu9/lunJs6rakI3TMG2ShADrS
 +1FQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=/1EcPVQdMAPbMCMNtGSBw2mpys07gXzjY6Bde/RWLYY=;
 b=tW1XRo0AwxRm3CQl36kYrLOvAfnbZvfhVfq4dkiRHtaXjpIYTd9Cjfhhfpj2HIhn9O
 qkPqnDa5Q1MKpJZQyHaCcu/tvv2UoutML8lDJe0X3eqADeNd0Tz8yDDa2XiKxSxSQJmL
 fv18UAy6oYlDfmuEgrGSTWc7vdw2MHJ9hVVofCLdiTDk9N1i//w5cvBZNGjZvrrWDefh
 fiRn8LA1ylHv2r+JII/UU30mS5QKR8vhhyihwZzt2usI6PNBUr98nPZC5BTAWvqh8eFd
 QKxhZC8UdfTt5sVg+SaKZ7gsmbu80zBULYkWwvmvScetfFnqlSXlOFbMLDlSLz7whxhc
 YbMw==
X-Gm-Message-State: AIkVDXJQWA1Ck8sNX8pxEfCz5hriFEfhOLo4+cbbygGl4AfqIMW9gIN7onTfDMpyEnhJOGQz7mXJ2TgFF6mhWw==
X-Received: by 10.46.8.25 with SMTP id 25mr4543516lji.21.1482407983529; Thu,
 22 Dec 2016 03:59:43 -0800 (PST)
MIME-Version: 1.0
Received: by 10.114.172.4 with HTTP; Thu, 22 Dec 2016 03:59:02 -0800 (PST)
In-Reply-To: <585B903B.8010003@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
 <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
 <585A3266.1000904@HIDDEN>
 <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
 <585B903B.8010003@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Thu, 22 Dec 2016 12:59:02 +0100
Message-ID: <CAEtmmeyX4qEsU06LDeB+-V-LnNtbc8ZEEGukqJ58YifizWmMUQ@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

>> The patch works! The font-height stays the same.
>
> Installed now for Emacs 25.2.

thx :)

>> FYI - this is most probably unrelated to the font-height problem, anyway:
>> 1. On my "font-height-works" machine (Ubuntu 16.10) the first invocation
>> of:
>>      ./src/emacs -q --eval "(set-face-attribute 'default nil :height 40)"
>> &
>> creates a rather small frame (I mean gtk window).
>
> With 40 lines though.  What did you expect?

I think it's better to show you some screenshots:

http://picpaste.com/first.png
Size is 522 x 486 - I think this is too small (a bug?)

http://picpaste.com/second-fdbVUcuU.png
Size is 762 x 695 pixels - expected size

>> 3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under
>> Windows 7) I
>> always get small frames of the same size and I never see any Gtk errors or
>> warnings.
>
> The Windows API has no idea of window sizes based on the metrics of some
> default font.  The "round frame sizes to multiples of the default font
> height" paradigm is among the most irksome legacies the Emacs frame code
> has to deal with.

I run my emacs on Ubuntu 16.10 with Xfce installed in Virtual Machine running
on Windows 7. Is Windows API the culprit here? I don't think so.

Cheers Bost




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 11:46:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 06:46:24 2016
Received: from localhost ([127.0.0.1]:50961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cK1pI-0006YV-0h
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 06:46:24 -0500
Received: from mx2.suse.de ([195.135.220.15]:44157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cK1pG-0006YL-6Y
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 06:46:22 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id D8AEBABDD;
 Thu, 22 Dec 2016 11:46:20 +0000 (UTC)
Date: Thu, 22 Dec 2016 12:46:16 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161222114616.vp6xa5kh6h3dcd34@HIDDEN>
References: <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
 <585A43B3.3090702@HIDDEN>
 <20161221110847.zh2fhyrcxiji4sdf@HIDDEN>
 <585B9042.2080800@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="gy3diytitnkyi4gn"
Content-Disposition: inline
In-Reply-To: <585B9042.2080800@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--gy3diytitnkyi4gn
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 22, 2016 at 09:35:14AM +0100, martin rudalics wrote:
> > The problem is that I currently miss the possibilty to check that
> > both (custom-set-face) do actual load and scale the same font file
> > to the same values ... without performing both (custom-set-face) I
> > mean here.  Similar there is no way I see to do this attribute/value
> > comparision in lisp/dynamic-setting.el for the currently used font
> > and the system as well as the custom font.
>=20
> What are the "both (custom-set-face)"?  Can you give me an example?

That was

  (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :w=
eight normal :slant normal :width normal)))))
  (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))

which in fact do show exactly the same font at the same attributes here.

Werner

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--gy3diytitnkyi4gn
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYW70IAAoJEFDpDVUdwWsuakwP/1NuE43R1Llbj5wcNTUNlIH6
UAMMHvtQce+INzQa8FdESTd9Lb06ujASHECOWU1GITCm/Qy+x70pIupb8eujvWX1
VcQ0ZljfgdRDtVEpqSc1w85fy274udPWq2IYtquP3ln9OTacUj71JvN+h+u4C1wj
Cb4P3hfoIsxLx6+pXv6y/+dhh9+zIrWLtN83yvO9mSEjQ15cpnXGkTxkPh+tUotx
1zuo2ViYFngkhi/FmOBj7ki074b1i1pKLlXPq8A41rASyQ4Nx2FzOHSDbPe+BEfn
RiNiRPLS7hHvk8rWlzgk38fbDCDD3QfvPLbClXWa0EdTNCUoAObr6F9fZMw6OIiJ
M2xrzp/UfUieQNlDuhFOXOQXz3qhqRwkCyjgZzwFcHIaiePR5NygMoEVp9auqOkX
cT/d8lK9kLUlfJ1K2Ka7xqVvrCKxGQw8XxiBuQzl+FHZrXPWuoLL52Zj+66Tyu2C
fR08hFtqageWWMmt5UvBhClo+b8mcFzOKe8qZZ0/3xoA7TKGD/d6eC1Gwzvcziyo
EyBfQEHaMCgLub1rjalSGyxxNIVQ0NoXXe7/2CSRdN/HVZgQJW+RFY587puUMxsl
3UHYhvouY91cNMlVrsChVW55BjyUFy0BSUSPKUQ/8tfn4ssbGueUAjMfMZ8BYLzV
dqNY4cSCU7zu1tHyi1r+
=r0tR
-----END PGP SIGNATURE-----

--gy3diytitnkyi4gn--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 08:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 03:35:41 2016
Received: from localhost ([127.0.0.1]:50887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJyqj-0001er-1g
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 03:35:41 -0500
Received: from mout.gmx.net ([212.227.15.19]:57823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJyqg-0001eS-Ve
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 03:35:39 -0500
Received: from [192.168.1.100] ([212.95.7.91]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LeN3N-1cw65h2oKj-00q9PF; Thu, 22
 Dec 2016 09:35:32 +0100
Message-ID: <585B9047.1010907@HIDDEN>
Date: Thu, 22 Dec 2016 09:35:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, "Dr. Werner Fink" <werner@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN> <585A41F8.9010709@HIDDEN>
 <20161221120826.3n7vlfa4dg55mro3@HIDDEN> <8337hh2nk5.fsf@HIDDEN>
In-Reply-To: <8337hh2nk5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:kEMW67J22pS5mCrCFio3Qr+W88R2wPqGcgYKjsJcc4j5XeAuS5T
 EmvHsVmJQAZQp6JlUTnsbak31Gw6qwOq8eKyagAR7mcJsahaOnUqF+5bLKpt06eAs49a7BF
 ZNPhNbY5tdz95pygY/cahRNLDpqiYPwk5zxKC2S1vycIZdLi1saf3TRzHcjK3CankwBug83
 aCASCvaJCMOrYildl2qDA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:rT2Spjf9ltA=:Kr8e026WoDmxUt5govRP5+
 E3TwLH8MiGtfg6KfCNAiiHwF5cBdbABnN1PNVzZIj66RcIaidli0t8nJyQf2VFswgxmH2Hp+M
 ShIyENCrYvytK5FbyYhEChgXnhNrkZkslYObTHpQGeacIafFXgHvPMzVoXL6XLCZ7Up6fWRoe
 TkS692UyP1Zl/kON9u9oriwU/9uz1pX/rWBhdNU2eFGbbL4cM4udHEAxvt1tHY61BgYuHqSw2
 HNN7W2oda2d9EfW5POKvR/jC7mspuuIyIX1cJ1Ni0WjUPV0sow2Sxmz6MDZ0Q+qmO2xyihPbG
 eCBLwZ4FHtDIATG/IxsX6P1DHX6ak4o4asojO1gTfNbvFp52ZxsyWdmm8XrX0qknnVEqUWcvK
 1NMQfjeC3pKwblWjIpb5YFVbAlpzz3pnBu7DCGRXmpSKEucUinhzy/5RxZHHjS/a/u8mL+i5n
 Y8dTekiVhYPeEe0oTGyl76SogDDiU65vJ8ii8F/KJfwkmWArcuZ3Leg4my1wAvKw91l5Gt/5L
 bDvLdHXCfc/6X224hy0Pbtxe3rZlwcNVh6TT4pCncC7GCrLk1NyT/leNGkRh7YlLE5z1G6NJL
 r9KmZZIaiG4fzknWLNbe7JrzH59N1VoIC2gK65BovsdoC7aB1RjsrMorQEZDbeWPJdfHcRBUd
 Y5GWl5wX75IkmSpdW/mzCk3Hi4kIhmZOolrFMDRiaEIkFtBsUgQdHwwMR27MNY0sdZJ4SOA9l
 J4e14RaN9yVGVYiahs1iC3I9rcc9xb+2bkf+z4MQKq/hq+Neij30wbvDHKxiEUBudDX3nUrO/
 vlvULLqgoDGQG8INGhqxwjQe03roA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Anyway, how about if we simply introduce a defcustom that would
 > disable dynamic-setting-handle-config-changed-event from having any
 > effect?  Or maybe people who don't want this feature should be advised=

 > to simply unbind this key binding:
 >
 >    (define-key special-event-map [config-changed-event]
 >      'dynamic-setting-handle-config-changed-event)

One variable that should help here but whose semantics I haven't been
able to grok is =E2=80=98font-use-system-font=E2=80=99.  It would be very=
 helpful if
someone who uses the dynamic-setting code could tell us how it is
supposed to work.  Then we could decide how to en-/disable some of its
features.

 > In any case, Martin, I think you should install your patch on the
 > emacs-25 branch.

Done.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 08:35:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 03:35:35 2016
Received: from localhost ([127.0.0.1]:50884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJyqc-0001eU-Oq
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 03:35:34 -0500
Received: from mout.gmx.net ([212.227.15.15]:57102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJyqZ-0001e1-UJ
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 03:35:32 -0500
Received: from [192.168.1.100] ([212.95.7.91]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MCLcP-1cSXZE3PaT-0098Bu; Thu, 22
 Dec 2016 09:35:25 +0100
Message-ID: <585B9042.2080800@HIDDEN>
Date: Thu, 22 Dec 2016 09:35:14 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr. Werner Fink" <werner@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN> <585A43B3.3090702@HIDDEN>
 <20161221110847.zh2fhyrcxiji4sdf@HIDDEN>
In-Reply-To: <20161221110847.zh2fhyrcxiji4sdf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:bDfngDECpcJaoBuCzA7ecNNoHNAJeIaKFa5dP3yaEOUaE5ckuXG
 YPQx5+4dvubkje/kGGgk8mIzpc6uNYfb38OChwGkfqXOYcqcxS8SXrg57/Y0dC9H8fUdtqg
 AXR2lO/Q8dmAsbDBX1WhMTJhVxjSKymzFnoyGnqaF9OXEhPS/0o4kAVpbD7uO8w6ZLqB2Fw
 CQAz/gU5Ctp8SAmPb8s6g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:N2Rhm0zMYDI=:rwpIBLhsT7HAwtPWBg3Pz+
 W7GZ8wuAppX9L/OkEuKNFfRZ0NLeRS0ln6kBXAPdf96nL8M71WPt+SDmw+OabTBepomkY6L5J
 eV2q9HJ4oM+2eE5rp/ets1N7WCWeukScfzpBtnqIb2Sr+u1td9Fdm1Y4kO9hK6ZxJVmICAMXx
 btobbwpH828e6VBXa953jBUbWzp3/VQACYPWtR3QHG+wXZnYTtEOZpTTDZ0aVloY8mWToO5o2
 MKqRCww2mKxEcN6VCE6IeSHEUaoIP3yn7Gnup9PCF1WOIlvTKoNUZNNvwd+fJl0AS7S/ASF0J
 4HQToFCkTqTxV5uoTZpsShufEsEontuWUa07R+PytfnQJK+ikzR6L/T9/uQO7TX7GO3Obah2r
 Fh+m2y8daEcWJwk1E4hJH3lEt8ah677n1pbczsX4Tvdss6C7kR6MPsXdCLYtcpvvQUinpEH5J
 n8yXmhX4UvN0nuBhpSFHgrOh2p/Hm3hhykjP83szhK6XOdCEmi9U7m99eRmgAHG9Gm/TNSb3b
 kheKkaWoqjS+VmyGE4pWUfWog/oXAaaUcxj+PGX0hbmg+xXc98EnzeFg00mrnBp9qN8O0o2+0
 EEQ1ghapZ9iKnWp5294h5i5ALk6Zoh7ogFNUDnuhMViQYKd+ZBmfOfAtMKIYko9ZYSgRcQHGN
 hexNjgY4AfJPjbknu41SYo2/eZgoHwpzvRFym96R7cWR9hdOgzgp4KQXx2M2xIMfQxEqHFOsP
 jdhpfH/Vzk6dPHRlGR7T1lU7R3z02ON8ZWRDyGduI7TIza+XlzrVtKnvVRTB2Q2QQK6E9KJXu
 SFUE8VcbilsKiF2zUFYaikqjHX73w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > The problem is that I currently miss the possibilty to check that
 > both (custom-set-face) do actual load and scale the same font file
 > to the same values ... without performing both (custom-set-face) I
 > mean here.  Similar there is no way I see to do this attribute/value
 > comparision in lisp/dynamic-setting.el for the currently used font
 > and the system as well as the custom font.

What are the "both (custom-set-face)"?  Can you give me an example?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 22 Dec 2016 08:35:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 22 03:35:30 2016
Received: from localhost ([127.0.0.1]:50881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJyqY-0001eB-HH
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2016 03:35:30 -0500
Received: from mout.gmx.net ([212.227.15.15]:62141)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJyqW-0001du-Vp
 for 25228 <at> debbugs.gnu.org; Thu, 22 Dec 2016 03:35:29 -0500
Received: from [192.168.1.100] ([212.95.7.91]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MD9J6-1cNJJD1Rim-00GXgV; Thu, 22
 Dec 2016 09:35:19 +0100
Message-ID: <585B903B.8010003@HIDDEN>
Date: Thu, 22 Dec 2016 09:35:07 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
 <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
 <585A3266.1000904@HIDDEN>
 <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
In-Reply-To: <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:dTwHLqVEMbpg+e36ZFIZwUHmQa2FtJGQ9fDnnFl6uR8DoKToCNZ
 OgHqLm+MwgQEXTrqEgxTiXQmO1Npb+xLIcl0ajLEwrWDJ4lvvEFlVX+IJVOQTmBEjUmIf/k
 tXeJoeMhD2fT8F10EpbPwUNkBfvJLI8gbWiZIH9hQIc0yO7FpPlfra3Bf/QNjg7P8TBbi1X
 O2GgbR0RyJF0rBuOWzLlg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:GZ+l7Z2KOZ8=:J06PgDMKJR1ZPcu5TntI46
 adDI3GmXdVOova9quOGsVYC/7+7+PgK5KibPoI+QYVTC4SPk1+vUfBsDi2uWdwG4uWrXXbmSq
 wza1z5yqaUSOv5uDSHz7M/Zm7m2aSUwiZ5T7cup6VxjVCNBsaqBw4bjy9iWD6wtxtljYNOv8F
 wDG+svBI0uDjVO4r0uDSsPk070081IwQpQSF8QoMVcjYLmYz6yjGvyNACM8mSO8ZQsQW3ZThW
 hXM3VVcIsz6deed+f1Ts1NsC+8gmTSKQYc4JP5nAUhQQSa4ZHR0VjPMJyflFmbA+HJTxdLQcs
 R/RczI5JBAZeXlRQCbMJKiVjqGEJtP3IA5Yi4ziiIylySgqEBEFWq2BpOrH1qNP9+Y7xqxSzl
 7WeauNRJOmIp3+iTgHYRvlqyexS5Hoje6NHBEvywl/MVCGyLHv4m6yiIYIjO3RUe0TDr3BYee
 nYOVCxl1ISFkvI+sDx2IFnHulnxBNoId9jEP4njfLVXeB989gDKw0uJqJeFK7xjbowYqijCwx
 ypBXi6WQc4X+mdQwetkum1bAqQzbJzH9AxzO5DvjtPeHuOOjmV2bl6dgeCwGhSub5Y63O5OoR
 Kz48/OusjJMuvzOJhGSxtlnSR7Krs64N0/CJAcTMhJuRTHGYkJo2dTwWRhFCCkBiE75H2t282
 Gq3xgD/rjsNY/qKCAhpVzFMbTfGFwh5OiNFBosz/lRNPuJ2pkDAOS2O9+FMImLXtkO7XjHXDm
 OGyvDD8NYPt2fGPhYaXNILLdXbpqAlIJJm6+sJgM/Uyv4Senb+f5Vjw9nzdOZ8xHOFPKB8jtB
 PuIVfvzUr0Tvn7oGhwPVgi6htzRIA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > The patch works! The font-height stays the same.

Installed now for Emacs 25.2.

 > FYI - this is most probably unrelated to the font-height problem, anyw=
ay:
 > 1. On my "font-height-works" machine (Ubuntu 16.10) the first invocati=
on of:
 >      ./src/emacs -q --eval "(set-face-attribute 'default nil :height 4=
0)" &
 > creates a rather small frame (I mean gtk window).

With 40 lines though.  What did you expect?

 > The consequent
 > invocations of this
 > command create frames of normal size.

With "consequent invocations" you mean what?  C-x 5 2 here creates yet
another frame of the same size.  The size of the initial frame is
derived from the =E2=80=98height=E2=80=99 and =E2=80=98width=E2=80=99 fra=
me parameters, if specified,
and the height of the default font.

 > 2. On my "font-height-works" machine the command above produces warnin=
gs:
 >
 > ** (emacs:21762): WARNING **: Couldn't connect to accessibility bus:
 > Failed to connect to socket /tmp/dbus-CV9wAFvBnL: Connection refused

No ideas about this one.

 > (emacs:21762): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
 > assertion 'extra_space >=3D 0' failed
 >
 > where the "... Gtk-CRITICAL ..." line gets repeated

gtk_distribute_natural_allocation is a pain.  You could try to set
=E2=80=98frame-resize-pixelwise=E2=80=99 to t but I doubt that it will he=
lp.

 > 3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under Wi=
ndows 7) I
 > always get small frames of the same size and I never see any Gtk error=
s or
 > warnings.

The Windows API has no idea of window sizes based on the metrics of some
default font.  The "round frame sizes to multiples of the default font
height" paradigm is among the most irksome legacies the Emacs frame code
has to deal with.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 18:05:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 13:05:05 2016
Received: from localhost ([127.0.0.1]:50494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJlGD-0002UZ-8J
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 13:05:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJlGB-0002U3-SP
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 13:05:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJlG3-00015G-Nm
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 13:04:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52616)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJlG3-00015C-Kv; Wed, 21 Dec 2016 13:04:55 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4508
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJlG1-0002wQ-OE; Wed, 21 Dec 2016 13:04:55 -0500
Date: Wed, 21 Dec 2016 20:04:19 +0200
Message-Id: <83vaud17mk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Dr. Werner Fink" <werner@HIDDEN>
In-reply-to: <20161221173951.ywvhpvbtucq4vvfq@HIDDEN> (werner@HIDDEN)
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
 <8360md2o24.fsf@HIDDEN> <20161221173951.ywvhpvbtucq4vvfq@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Wed, 21 Dec 2016 18:39:51 +0100
> From: "Dr. Werner Fink" <werner@HIDDEN>
> Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
> 
> > >   (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
> > >   (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
> > 
> > I see nothing particularly surprising here: "Monospace" is a family,
> > of which Emacs selected one specific monospaced font.  Why do you see
> > this as a problem?
> 
> I'm aware nevertheless ... why should an already loaded font be reloaded
> with exactly the same attributes because it is not possible to detect that
> equality  ... beside the rounding problems it is superfluous

Is it really reloaded?  How can you tell?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 17:39:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 12:39:58 2016
Received: from localhost ([127.0.0.1]:50477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJkru-0001s5-7b
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:39:58 -0500
Received: from mx2.suse.de ([195.135.220.15]:36648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJkrs-0001rx-AI
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:39:56 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 168B4AD1F;
 Wed, 21 Dec 2016 17:39:55 +0000 (UTC)
Date: Wed, 21 Dec 2016 18:39:51 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161221173951.ywvhpvbtucq4vvfq@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
 <8360md2o24.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="tybm3ufvlzeqqjyp"
Content-Disposition: inline
In-Reply-To: <8360md2o24.fsf@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--tybm3ufvlzeqqjyp
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Dec 21, 2016 at 07:24:03PM +0200, Eli Zaretskii wrote:
> > Date: Wed, 21 Dec 2016 09:47:46 +0100
> > From: "Dr. Werner Fink" <werner@HIDDEN>
> > Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
> >=20
> > There seems to be also an other place where rounding does not fit. With=
 system
> > font set, that is no custom font at all the height of the same font are=
 different,
> > that is=20
> >=20
> >   (font-face-attributes (font-get-system-font))
> >=20
> > results in
> >=20
> >   (:family "Monospace" :height 110)
> >=20
> > whereas=20
> >=20
> >   (font-face-attributes (face-attribute 'default :font))
> >=20
> > shows
> >=20
> >   (:family "Source Code Pro" :height 113 :weight normal :slant normal :=
width normal)
> >=20
> > which is the same font (even over different channels) but different hei=
ght. I've
> > verified this by using
> >=20
> >   (custom-set-faces '(default ((t (:family "Source Code Pro" :height 11=
0 :weight normal :slant normal :width normal)))))
> >   (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
>=20
> I see nothing particularly surprising here: "Monospace" is a family,
> of which Emacs selected one specific monospaced font.  Why do you see
> this as a problem?

I'm aware nevertheless ... why should an already loaded font be reloaded
with exactly the same attributes because it is not possible to detect that
equality  ... beside the rounding problems it is superfluous

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--tybm3ufvlzeqqjyp
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWr5nAAoJEFDpDVUdwWsuGaAP/jv+J3d5PfRTrreAiOKkzCiU
Cmmv2N9TOdBqGH25JgHdTcfISp98dM+xAbnmf3XGowolXYITOS93COphdBQvm1Ed
vhfMu9MOzcAFhm5/ExYxkySj8JKJBIAj56t7yvBYvda6vEdi1Vsd2iIaACcI6gEy
CXqe1b7SQ3kvplNmFXxgz8EiPmXtQoZYQUsSffEyRozS1gXg5jw7Vp1EQxI/9OOO
lCPxot4hWkUgD2AoBGa6qg7Q4XTp41pCW6UEdViVMl84CLWlFrf6t+iMGij8xVnx
wi24W7wWevBTeWb+f7i708N22lvZ/z5uaA+Q1FNQAY6aCm7zPXISCLWmUx8My3wo
DBLHRTKxF84J5Al1OQZRWhjpDK0Nyse8WDNlNAEERmJtS0j9jV3SgIV3oAsaN5H4
0YTd1zSur0rJDqSleOtG3lwtdXpDQOmhTCzEzK45tiNCZmtvWV83xIlwdeO9i8cQ
e3Fi3N8VCIwHmLmKoE+tiiNd8TAO2sBxJf46cRoXhM9IIc20VXuvMrR7wKyNWVqG
BX0iOiXNc95mVnCdCLA4VNwNuBPlQHRyQCNNXIOMjdk+qO2lXfcyQQWDaXJ5BYXj
SKCltAL4zH9zQgTQQZAKfo8ZykdDYYsexH+meuEyZGRsTQPnG2UCYEnwzt5ohOkd
E9V2CpDtxcJH1YtxFppH
=4qHQ
-----END PGP SIGNATURE-----

--tybm3ufvlzeqqjyp--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 17:35:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 12:35:44 2016
Received: from localhost ([127.0.0.1]:50473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJkno-0001lu-Lm
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:35:44 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJknn-0001lg-5w
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:35:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJknd-0004UF-Cw
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:35:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.0 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52250)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJknd-0004U0-1e; Wed, 21 Dec 2016 12:35:33 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4189
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJknY-0003vY-K6; Wed, 21 Dec 2016 12:35:32 -0500
Date: Wed, 21 Dec 2016 19:34:50 +0200
Message-Id: <8337hh2nk5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Dr. Werner Fink" <werner@HIDDEN>
In-reply-to: <20161221120826.3n7vlfa4dg55mro3@HIDDEN> (werner@HIDDEN)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <585A41F8.9010709@HIDDEN> <20161221120826.3n7vlfa4dg55mro3@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Wed, 21 Dec 2016 13:08:26 +0100
> From: "Dr. Werner Fink" <werner@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
> 
> ~"Lisp Backtrace:\n"
> ~"\"internal-set-lisp-face-attribute\""
> ~" (0xffffa740)\n"
> ~"\"set-face-attribute\""
> ~" (0xffffa930)\n"
> ~"\"font-setting-change-default-font\""
> ~" (0xffffab50)\n"
> ~"\"dynamic-setting-handle-config-changed-event\""
> ~" (0xffffae00)\n"
> ~"\"funcall-interactively\""
> ~" (0xffffadf8)\n"
> ~"\"call-interactively\""

This seems to indicate that a real font-changed event was received.
Can you look in your Gsettings and find where does this come from?

Anyway, how about if we simply introduce a defcustom that would
disable dynamic-setting-handle-config-changed-event from having any
effect?  Or maybe people who don't want this feature should be advised
to simply unbind this key binding:

  (define-key special-event-map [config-changed-event]
    'dynamic-setting-handle-config-changed-event)

WDYT?

In any case, Martin, I think you should install your patch on the
emacs-25 branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 17:26:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 12:26:15 2016
Received: from localhost ([127.0.0.1]:50459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJked-0001W8-2p
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:26:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJkeb-0001Vw-Pt
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:26:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJkeR-0007aV-SG
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:26:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.1 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52081)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJkeR-0007aC-Pp; Wed, 21 Dec 2016 12:26:03 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4173
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJkeP-0006Ah-La; Wed, 21 Dec 2016 12:26:03 -0500
Date: Wed, 21 Dec 2016 19:25:25 +0200
Message-Id: <834m1x2nzu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
In-reply-to: <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
 (message from Rostislav Svoboda on Wed, 21 Dec 2016 12:03:35 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
 <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
 <585A3266.1000904@HIDDEN>
 <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
> Date: Wed, 21 Dec 2016 12:03:35 +0100
> Cc: Eli Zaretskii <eliz@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
> 
> >>> , we'd like you to
> >>> apply a small patch and see if the problem goes away.  Is it okay?
> >>
> >> Yes. Gladly.
> >
> > Please try the attached.
> 
> The patch works! The font-height stays the same.

Great, thanks for testing.

> FYI - this is most probably unrelated to the font-height problem, anyway:
> 1. On my "font-height-works" machine (Ubuntu 16.10) the first invocation of:
>     ./src/emacs -q --eval "(set-face-attribute 'default nil :height 40)" &
> creates a rather small frame (I mean gtk window). The consequent
> invocations of this
> command create frames of normal size.
> 
> 2. On my "font-height-works" machine the command above produces warnings:
> 
> ** (emacs:21762): WARNING **: Couldn't connect to accessibility bus:
> Failed to connect to socket /tmp/dbus-CV9wAFvBnL: Connection refused
> 
> (emacs:21762): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
> assertion 'extra_space >= 0' failed
> 
> where the "... Gtk-CRITICAL ..." line gets repeated
> 
> 3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under Windows 7) I
> always get small frames of the same size and I never see any Gtk errors or
> warnings.

Not sure this is related to the issue at hand.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 17:24:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 12:24:49 2016
Received: from localhost ([127.0.0.1]:50455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJkdF-0001Td-Ns
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:24:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJkdE-0001TO-2x
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:24:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJkd4-0006e2-RY
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 12:24:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52066)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJkd4-0006dy-OZ; Wed, 21 Dec 2016 12:24:38 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4172
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJkd3-000607-0C; Wed, 21 Dec 2016 12:24:38 -0500
Date: Wed, 21 Dec 2016 19:24:03 +0200
Message-Id: <8360md2o24.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Dr. Werner Fink" <werner@HIDDEN>
In-reply-to: <20161221084746.j6taegtb76rufwek@HIDDEN> (werner@HIDDEN)
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Wed, 21 Dec 2016 09:47:46 +0100
> From: "Dr. Werner Fink" <werner@HIDDEN>
> Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
> 
> There seems to be also an other place where rounding does not fit. With system
> font set, that is no custom font at all the height of the same font are different,
> that is 
> 
>   (font-face-attributes (font-get-system-font))
> 
> results in
> 
>   (:family "Monospace" :height 110)
> 
> whereas 
> 
>   (font-face-attributes (face-attribute 'default :font))
> 
> shows
> 
>   (:family "Source Code Pro" :height 113 :weight normal :slant normal :width normal)
> 
> which is the same font (even over different channels) but different height. I've
> verified this by using
> 
>   (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
>   (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))

I see nothing particularly surprising here: "Monospace" is a family,
of which Emacs selected one specific monospaced font.  Why do you see
this as a problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 12:08:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 07:08:33 2016
Received: from localhost ([127.0.0.1]:49727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJfhB-000786-4M
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 07:08:33 -0500
Received: from mx2.suse.de ([195.135.220.15]:39028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJfh8-00077x-Ck
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 07:08:32 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 6A1E4ABB0;
 Wed, 21 Dec 2016 12:08:29 +0000 (UTC)
Date: Wed, 21 Dec 2016 13:08:26 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
Message-ID: <20161221120826.3n7vlfa4dg55mro3@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <585A41F8.9010709@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="t5s37lwat2l2f6lb"
Content-Disposition: inline
In-Reply-To: <585A41F8.9010709@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--t5s37lwat2l2f6lb
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Dec 21, 2016 at 09:48:56AM +0100, martin rudalics wrote:
> > Nevertheless, with the custom font setting and without my change in lis=
p/dynamic-setting.el
> > the resize event of the GNU Emacs window is back and still the system f=
ont is
> > used regardless what font has been customized in ~/.emacs
>=20
> In that case do you get a backtrace that includes
> `dynamic-setting-handle-config-changed-event'?

The variable changed becomes changed due to the font changed

(gdb)=20
~"638\t      changed =3D true;\n"
*stopped,reason=3D"end-stepping-range",frame=3D{addr=3D"0x00000000004da770"=
,func=3D"apply_xft_settings",args=3D[{name=3D"settings",value=3D"0x7fffffff=
c510"},{name=3D"dpyinfo",value=3D"0x166fe20"}],file=3D"xsettings.c",fullnam=
e=3D"/usr/src/werner/emacs/emacs-25.1/src/xsettings.c",line=3D"638"},thread=
-id=3D"1",stopped-threads=3D"all",core=3D"5"
(gdb)=20
list
&"list\n"
~"633\t  if ((settings->seen & SEEN_HINTING) !=3D 0\n"
~"634\t      && oldsettings.hinting !=3D settings->hinting)\n"
~"635\t    {\n"
~"636\t      FcPatternDel (pat, FC_HINTING);\n"
~"637\t      FcPatternAddBool (pat, FC_HINTING, settings->hinting);\n"
~"638\t      changed =3D true;\n"
~"639\t      oldsettings.hinting =3D settings->hinting;\n"
~"640\t    }\n"
~"641\t  if ((settings->seen & SEEN_RGBA) !=3D 0 && oldsettings.rgba !=3D s=
ettings->rgba)\n"
~"642\t    {\n"

(gdb)=20
~"646\t      changed =3D true;\n"
*stopped,reason=3D"end-stepping-range",frame=3D{addr=3D"0x00000000004da7bf"=
,func=3D"apply_xft_settings",args=3D[{name=3D"settings",value=3D"0x7fffffff=
c510"},{name=3D"dpyinfo",value=3D"0x166fe20"}],file=3D"xsettings.c",fullnam=
e=3D"/usr/src/werner/emacs/emacs-25.1/src/xsettings.c",line=3D"646"},thread=
-id=3D"1",stopped-threads=3D"all",core=3D"4"
(gdb)=20
list
&"list\n"
~"641\t  if ((settings->seen & SEEN_RGBA) !=3D 0 && oldsettings.rgba !=3D s=
ettings->rgba)\n"
~"642\t    {\n"
~"643\t      FcPatternDel (pat, FC_RGBA);\n"
~"644\t      FcPatternAddInteger (pat, FC_RGBA, settings->rgba);\n"
~"645\t      oldsettings.rgba =3D settings->rgba;\n"
~"646\t      changed =3D true;\n"
~"647\t    }\n"
~"648\t\n"
~"649\t  /* Older fontconfig versions don't have FC_LCD_FILTER. */\n"
~"650\t  if ((settings->seen & SEEN_LCDFILTER) !=3D 0\n"

(gdb)=20
~"655\t      changed =3D true;\n"
*stopped,reason=3D"end-stepping-range",frame=3D{addr=3D"0x00000000004da80e"=
,func=3D"apply_xft_settings",args=3D[{name=3D"settings",value=3D"0x7fffffff=
c510"},{name=3D"dpyinfo",value=3D"0x166fe20"}],file=3D"xsettings.c",fullnam=
e=3D"/usr/src/werner/emacs/emacs-25.1/src/xsettings.c",line=3D"655"},thread=
-id=3D"1",stopped-threads=3D"all",core=3D"4"
(gdb)=20
list
&"list\n"
~"650\t  if ((settings->seen & SEEN_LCDFILTER) !=3D 0\n"
~"651\t      && oldsettings.lcdfilter !=3D settings->lcdfilter)\n"
~"652\t    {\n"
~"653\t      FcPatternDel (pat, FC_LCD_FILTER);\n"
~"654\t      FcPatternAddInteger (pat, FC_LCD_FILTER, settings->lcdfilter);=
\n"
~"655\t      changed =3D true;\n"
~"656\t      oldsettings.lcdfilter =3D settings->lcdfilter;\n"
~"657\t    }\n"
~"658\t\n"
~"659\t#ifdef FC_HINT_STYLE\n"
^done
(gdb)=20

(gdb)=20
~"665\t      changed =3D true;\n"
*stopped,reason=3D"end-stepping-range",frame=3D{addr=3D"0x00000000004da85d"=
,func=3D"apply_xft_settings",args=3D[{name=3D"settings",value=3D"0x7fffffff=
c510"},{name=3D"dpyinfo",value=3D"0x166fe20"}],file=3D"xsettings.c",fullnam=
e=3D"/usr/src/werner/emacs/emacs-25.1/src/xsettings.c",line=3D"665"},thread=
-id=3D"1",stopped-threads=3D"all",core=3D"4"
(gdb)=20
list
&"list\n"
~"660\t  if ((settings->seen & SEEN_HINTSTYLE) !=3D 0\n"
~"661\t      && oldsettings.hintstyle !=3D settings->hintstyle)\n"
~"662\t    {\n"
~"663\t      FcPatternDel (pat, FC_HINT_STYLE);\n"
~"664\t      FcPatternAddInteger (pat, FC_HINT_STYLE, settings->hintstyle);=
\n"
~"665\t      changed =3D true;\n"
~"666\t      oldsettings.hintstyle =3D settings->hintstyle;\n"
~"667\t    }\n"
~"668\t#endif\n"
~"669\t\n"
^done
(gdb)=20

now breakpoint at x_new_font() and aftersome c I see with bt

~"\n"
~"Lisp Backtrace:\n"
~"\"internal-set-lisp-face-attribute\""
~" (0xffffa740)\n"
~"\"set-face-attribute\""
~" (0xffffa930)\n"
~"\"font-setting-change-default-font\""
~" (0xffffab50)\n"
~"\"dynamic-setting-handle-config-changed-event\""
~" (0xffffae00)\n"
~"\"funcall-interactively\""
~" (0xffffadf8)\n"
~"\"call-interactively\""

which is a hit

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--t5s37lwat2l2f6lb
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWnC6AAoJEFDpDVUdwWsuQHMP/i0hw6dmvxj/AaxNTE6wuSvB
flfOy8bpESz6R7TZ8+UlZsRMw2R+DLsQG+w/ceNShv6X0Kn0kJJaBBhFimhRh2WX
2s/DY6jzySQnDHBXXaDHD7Fh8Lzt5xTr7a8muJEEXiiSUSlBvRVGUSx0xAvDi5pB
MNbzCpHydLD3sHrwYha+yd9dXXfIDb/eU8tzuvzQlXXiS/qu0hRR3/DiP6pUgjv6
j1RY/hE3bvu4OaFAh2xUQOwQklWXxqn2pA0EzRLso5zr2MAd8v+8jG/j9aV9Q8Dd
s5o7tlpsdCE1qU6yRfzYr/Nl5PcKo5AKfofbH3PiJG31z8h/1AviHfJbKGnqYW2+
oU7Xjv0xwfndC9o7FuxEhJAYmhpBiCoPsB6I/II6v5YA/Lb29T+RZolnxXnQfsNA
6ADCFsEHPXv6fDrrrc8Bo1ZZbYBoj+Y0NJF+EWgPj+OoiXqxfE0OyEaX8dg4KxRB
GT9ZYvyUht3d9y6o+1y7kTf7dmy6ju4vYi39BJ0F9wLgauTMenSuOybzuQTPl4Ib
aQdYBhUPl52HHXs85/NeY7vSwnV/9qus0tfZaKFcQ+EyXSdu7gMpz85rpsyc1Gj/
/UZkdeRx0EpIf4XEiCnAzXCdmGGXpe61w2TTpeatk/5oPzbq6Pt6hcdiAiSNs8tO
T81C/bRLZYkHDYqbgp26
=eps1
-----END PGP SIGNATURE-----

--t5s37lwat2l2f6lb--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 11:08:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 06:08:53 2016
Received: from localhost ([127.0.0.1]:49707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJelR-0005bW-0J
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 06:08:53 -0500
Received: from mx2.suse.de ([195.135.220.15]:34449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJelP-0005bN-7b
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 06:08:51 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 3840EADDA;
 Wed, 21 Dec 2016 11:08:50 +0000 (UTC)
Date: Wed, 21 Dec 2016 12:08:47 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161221110847.zh2fhyrcxiji4sdf@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
 <585A43B3.3090702@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="mjix4u4ccztmd7hb"
Content-Disposition: inline
In-Reply-To: <585A43B3.3090702@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--mjix4u4ccztmd7hb
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Dec 21, 2016 at 09:56:19AM +0100, martin rudalics wrote:
>=20
> > which is the same font (even over different channels) but different hei=
ght. I've
> > verified this by using
> >
> >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height 1=
10 :weight normal :slant normal :width normal)))))
> >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
> >
> > Would interesting how to compare the uperficial ifferent font face attr=
ibutes
> > for the same font in (font-setting-change-default-font).
>=20
> I'm missing you here.

The problem is that I currently miss the possibilty to check that
both (custom-set-face) do actual load and scale the same font file
to the same values ... without performing both (custom-set-face) I
mean here.  Similar there is no way I see to do this attribute/value
comparision in lisp/dynamic-setting.el for the currently used font
and the system as well as the custom font.

Werner

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--mjix4u4ccztmd7hb
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWmK/AAoJEFDpDVUdwWsuaIcP/278XWSFyBZa771f86tyiS8s
PPgXWH38ebvw5LTYbRPnjRs1RIOpfst5O3kKilqqE81vaJy5f6QB6kUWezqZXn9t
cTySIBgDlPnU0a6IReZ0V5R7UMyndFiM0xdv2VQKIlOANR3DCqO9vR/TJE7ubV+E
LzAvXCizGjK7D6fwIGuNc5cqVfYyyFD9/TAb14wYukDWoFm/p0OuMOBNNH9SyHy9
Dw1FItifQhsDBuxK1zl5e9FUCyUgmL5KL9CcR0joa2KEHUcEISrzgR96+mHvfTuS
8IdvVdRSz/6A+xYhQp1qpCuRVkjvBYJFvGbVIN1fAnrNQvOO4HKZw0/bwQzHnU0S
LhWmGZxNGJInq1/5qxy+eCxfRv+KQGaD5OSp9rt6j6N/MoPay+PbLn93ASKweajA
jaC7uDz1N1VbE6yQx2eEKOdkRfclnWkgPyMeiv8bZyDVj7o2tQeNPO1c7DleF1eJ
sqek4GoCGzCunAnEKwmEi//i9930QnefMs9erJwDyXrcXu1OKvgkARnY71M91hDA
KUqGIfp9Yyt4J6OSA5H0NEgqVAoHe+FGalxKfrMsal3+0GTLlmAmUQ8pWGOY2Bz1
U3U0JACfmRSCSGT6KPjCFySt4vv2GxgehUYiv8Bt2OKJjCmmkQULUi4uHWVOxjnm
kjtRFVaXxETTU6Zlq6Py
=iiOb
-----END PGP SIGNATURE-----

--mjix4u4ccztmd7hb--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 11:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 06:04:23 2016
Received: from localhost ([127.0.0.1]:49699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJeh5-0005Ua-8L
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 06:04:23 -0500
Received: from mail-lf0-f68.google.com ([209.85.215.68]:33650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1cJeh3-0005UO-V9
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 06:04:22 -0500
Received: by mail-lf0-f68.google.com with SMTP id y21so13359007lfa.0
 for <25228 <at> debbugs.gnu.org>; Wed, 21 Dec 2016 03:04:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=UgJge3k40LCZciBflgpVBpG5Xo9uCnKFINa0vpPnM1M=;
 b=PyUwYTVLXIa8+Zkz1pWYJu07wbmQsTsjF5C7EVYpBmXk/lRSWlZw9OxiUe/c0pDl1p
 pZ1gYXkVQlcZM760N+Ijx5j5+M5Ky431H1rfrDyIFA4smUgOXn/BMinwja2o0aJmM3/N
 i3rjrfOPL8rEj0LAfjWt208cBR4LqeHnOZG40RF0K+XunWhErP40TZsjemKZhim93Yec
 eQlAJVI7cgcbx2Sno3bo8KE6H2+nUmam506aSuzPnAhvRweFmo3aPsBsuPL9eBHsom4V
 Qe1rSpJ9eBeaZcwT/EeCTerqj4rtQlulK+NVhYl/YsQ0CyLjU8NOSW6U73F7hgtD+dDP
 YMQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=UgJge3k40LCZciBflgpVBpG5Xo9uCnKFINa0vpPnM1M=;
 b=Xho5iSrg4/rLMdCoAdca49TCSZOM5XydeLHUXKD9eiFl/iHwMYJy1cUs3aibjWKs+O
 mvEHdDZMJHXFfI8mnB0G3/cIPtAXZGRQgm+SBC9jusZkUTiwrxOrqQ+b/dtn5SXPFRTE
 bnFR5C2rfxzUTUtDtuX+zzOsZxUH/IsXVXIN7bdR2fwQIcaBv/M/GkbKGBNAH+sm4zI+
 OhVdpOj8btlogHZlJ5wfqCin7K8P7zNIBdacpAq1a/dqk1oMfNJpBlHmDUH1+ihOFoqc
 V0YKQ36NDHSjAOY0P7xlJxXxj0wxafmwV8cX3OdKCvMnqrJKsKH431AIjSQ5+x/LGuxq
 Xylg==
X-Gm-Message-State: AIkVDXKL8RCMLmf7yeHtn8LNBywBCE/4y2lkzXJBTDbJ7222TmLoqrMItnvDuKjOLYLoqfVmfUYE5hXCUnX6HA==
X-Received: by 10.46.8.25 with SMTP id 25mr1959577lji.21.1482318256012; Wed,
 21 Dec 2016 03:04:16 -0800 (PST)
MIME-Version: 1.0
Received: by 10.114.172.4 with HTTP; Wed, 21 Dec 2016 03:03:35 -0800 (PST)
In-Reply-To: <585A3266.1000904@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
 <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
 <585A3266.1000904@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Wed, 21 Dec 2016 12:03:35 +0100
Message-ID: <CAEtmmezU=6vbaUcxi7AK=_o2ApxXx8wD8ewc35dXtuH4hH_qPQ@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

>>> , we'd like you to
>>> apply a small patch and see if the problem goes away.  Is it okay?
>>
>> Yes. Gladly.
>
> Please try the attached.

The patch works! The font-height stays the same.

FYI - this is most probably unrelated to the font-height problem, anyway:
1. On my "font-height-works" machine (Ubuntu 16.10) the first invocation of:
    ./src/emacs -q --eval "(set-face-attribute 'default nil :height 40)" &
creates a rather small frame (I mean gtk window). The consequent
invocations of this
command create frames of normal size.

2. On my "font-height-works" machine the command above produces warnings:

** (emacs:21762): WARNING **: Couldn't connect to accessibility bus:
Failed to connect to socket /tmp/dbus-CV9wAFvBnL: Connection refused

(emacs:21762): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
assertion 'extra_space >= 0' failed

where the "... Gtk-CRITICAL ..." line gets repeated

3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under Windows 7) I
always get small frames of the same size and I never see any Gtk errors or
warnings.

Cheers Bost




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 08:56:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 03:56:38 2016
Received: from localhost ([127.0.0.1]:49665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJchS-0002Ak-CD
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:56:38 -0500
Received: from mout.gmx.net ([212.227.15.19]:62827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJchQ-0002AW-Ib
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:56:37 -0500
Received: from [192.168.1.100] ([212.95.7.93]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MCtql-1cSB8Z3A8Z-009fzO; Wed, 21
 Dec 2016 09:56:28 +0100
Message-ID: <585A43B3.3090702@HIDDEN>
Date: Wed, 21 Dec 2016 09:56:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr. Werner Fink" <werner@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
 <20161221084746.j6taegtb76rufwek@HIDDEN>
In-Reply-To: <20161221084746.j6taegtb76rufwek@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:H/gTTLFa1pI+7lQXcEHF6Re+C/YAwY4uC4U6j7uJmTcwc2jI/Jv
 FpZND8JlBpHcU/x5fnQQhmA8JcVA3Rdu9Ub0xyWZc2vc2yVBsDRCzLT//bxpGLvvl5ig0Hl
 ejkSSikzP08few7jOBQKi3EY0C68dZh4wAMq28AWvP6k1xLvnhNPbiCvVP8lRL/H1GovhRU
 Qz4OWL2hePeN9UOrzJqGg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:TAHSQb2J3kE=:US+iTA3K49nBT72lQVCxaP
 WxZwu9cAAS/Qp9vFvC1AZw3N7+bVyx/8DptgfTRRVKLo7p1IBvVsQVIc1ccwigukoQCn08XT4
 ge5quFgp0GgjRLlmOmvM5tDno966xG56F62sHmwANS0sVW1vBPrDRqSQ1fP6ajQTXPeY69Pau
 tvH2EAW3iQFekNs8F2PjB2GupbsEI7qKFSjQmS6tN7zQiOn5JpBhArzVwaJ6f4BuLmlnOxLUq
 Aj0ZYyqSLwKJ1XbPauKdiN1BA4zdGJD9niy0+T2PqRu8afSW7mCZQiBe76sGK+kGKkfeSSaZV
 eLIDGr97Wztyya2V8EUcH1F7OQMbnbCxzNQOfLrnu0L1Q7gBV0f6NQZxTBRmskwuOOOwwrGYv
 4BP7Crr7YJ6rbyczATDHrGSXV0YuvL1hiMQeWkaTawoR8fN56NCZE7BNbWyYj1HE8tY6nPXaB
 CC9jQebHfSIW7kbI7+bYMariUGZy9RxXzAz4GlT7uzMLiwJMchdoEhhjdRD89lX281nqutcRH
 JkiRb4X01fHGyCI7kg9ZbZyx0nML93SXkquJy49q2WF+s/F/BIHkHm/VteVCXMBBD/Ba3greK
 L0qMxzmtUUTfDA6ZhKxicBIGKN5/LXp+PJEYayPKVFZXeqiUWypfNIiw1nJ6SCPEd5IGNbg0R
 fd1A3XYi5KzG+7+dp6/H2hX9y7ACW92cLwLOuZqg2FwrNSqpGea0I287s3X1rLsNw33BlDi5C
 qEwlhOScV5mp5PVRLaB/ARc5dW9tgRoxQ5GIz7c3N6NGNhzReRWyLA4s4F7hvj6JAMzIFXJWr
 sPwWanMqBZr7zi1XTm4dKS65jhGIw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > There seems to be also an other place where rounding does not fit. With system
 > font set, that is no custom font at all the height of the same font are different,
 > that is
 >
 >    (font-face-attributes (font-get-system-font))
 >
 > results in
 >
 >    (:family "Monospace" :height 110)
 >
 > whereas
 >
 >    (font-face-attributes (face-attribute 'default :font))
 >
 > shows
 >
 >    (:family "Source Code Pro" :height 113 :weight normal :slant normal :width normal)

I get "DejaVu Sans Mono" instead of "Source Code Pro" here and
identical values otherwise.

 > which is the same font (even over different channels) but different height. I've
 > verified this by using
 >
 >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
 >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
 >
 > Would interesting how to compare the uperficial ifferent font face attributes
 > for the same font in (font-setting-change-default-font).

I'm missing you here.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 08:49:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 03:49:17 2016
Received: from localhost ([127.0.0.1]:49656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJcaL-0001yQ-Ad
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:49:17 -0500
Received: from mout.gmx.net ([212.227.15.19]:49190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJcaJ-0001y8-N6
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:49:16 -0500
Received: from [192.168.1.100] ([212.95.7.93]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M2Ldk-1ccOUI0Rt6-00s7rL; Wed, 21
 Dec 2016 09:49:06 +0100
Message-ID: <585A41F8.9010709@HIDDEN>
Date: Wed, 21 Dec 2016 09:48:56 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr. Werner Fink" <werner@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
In-Reply-To: <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:md4tow2K65HfAK+murORat0VUhZrlfl2ugpdi6+cc7owwOoWXDW
 0btmLMUgPgn1/pWbn8FXxQo8piLHVaO9oIPscOZoz846PrI2TuLK8ASuXbwrFSUTQDtteNx
 mXhN+xF4io7Lrxnq6JrIMSyqqtYcAabWvnrovwHX/ho95lAT2WHTF2DOFUA6SmJoNZEhFTG
 GwAShmyvX6NOxRSd/Klag==
X-UI-Out-Filterresults: notjunk:1;V01:K0:C33SlZ1sprY=:tLFBZbyUFneoAya5NpL5VH
 ZqWULtGOE/DecjWekAOWh87oVScovq21YS/uHQhBxhu5xYckdzxpgvgxZdfYAkaNd/yzFbdsP
 QU3Xf23LkwHLvyCw9q56xMvpvBVwuJ6uAGeVBiuy++XMIPeIdpk+NCWDicwlXP6L/ZVf7PbdO
 XRpJY/pQtU43UH0rGnlE3O33SvcmdR3MSreM49k234NFWFVZH7NGo81xfzIyWCybwD8SRe42u
 Ts5EJ93CU9SUDMUQmiiOoKu5nAP8ECS01EJ6V9NFG0OmuOBSkvng5sODpndaJxsiF8Kv5XznP
 Wfy0No88Ls+dQxw0CueE2bH76V33D8dHSZPhk2uzRQ+8ihVWF/N3UWNo4agiplKTr+txuCM58
 O67uzjXDuCDov56wNQxdpRfd39/dqdHLgU69qLRgUCuONLNOIjPpqdW4fU1lIgSNIBm/a+skN
 5oRrPGnJNmnTHGfjofeyGUGXo997LNezloAJ0oGX6Hb2Xzn7R7ph9Yo81GbjPN2+XRbcpWNEY
 /tE0yWoOgyyncy1Axga+mnIPw2+V2G58UW1fi4SaXTyRabBUaDu29HJIOzVMbykuawGUOb0CT
 ofyHKrf5wMabg7oZ6PsYuUo8FHSAJekaFZUqS8sbquHEaZaQfNKIs7QGHOcZ007USHDqpVMfi
 Rz7xq4/B9uAIcdUvPQBpzxivid9gRafxP9GMKO7wPf/xbIXBrEzwKOIcBw7LDF2WIrlHfwcd1
 Th2JOLwGyK8/HEWJ5p3Sko2UTi9ei2hLcfBh+Yq32T+mGOOV76GFfNVtERjTOoj2cDjhZELQt
 CIn2IsMz3NhjAFqTmhfw+KY0d6Tjw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Nevertheless, with the custom font setting and without my change in lisp/dynamic-setting.el
 > the resize event of the GNU Emacs window is back and still the system font is
 > used regardless what font has been customized in ~/.emacs

In that case do you get a backtrace that includes
`dynamic-setting-handle-config-changed-event'?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 08:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 03:47:51 2016
Received: from localhost ([127.0.0.1]:49652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJcYw-0001va-VM
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:47:51 -0500
Received: from mx2.suse.de ([195.135.220.15]:48348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJcYv-0001vR-NN
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:47:50 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id E9911AAE8;
 Wed, 21 Dec 2016 08:47:48 +0000 (UTC)
Date: Wed, 21 Dec 2016 09:47:46 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161221084746.j6taegtb76rufwek@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
 <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="dfjxvjigxkey4bcl"
Content-Disposition: inline
In-Reply-To: <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--dfjxvjigxkey4bcl
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Dec 21, 2016 at 09:11:04AM +0100, Werner Fink wrote:
> On Tue, Dec 20, 2016 at 11:59:52AM +0100, martin rudalics wrote:
>=20
> Hmmm ... after verifying this I've tried this patch
> -------------------------------------------------------------------------=
---
> --- src/xsettings.c
> +++ src/xsettings.c	2016-12-21 07:25:17.605036477 +0000
> @@ -45,6 +45,7 @@ along with GNU Emacs.  If not, see <http
>  #endif
> =20
>  #ifdef HAVE_XFT
> +#include <math.h>
>  #include <X11/Xft/Xft.h>
>  #endif
> =20
> @@ -620,7 +621,11 @@ apply_xft_settings (struct x_display_inf
>  #endif
>    FcPatternGetInteger (pat, FC_LCD_FILTER, 0, &oldsettings.lcdfilter);
>    FcPatternGetInteger (pat, FC_RGBA, 0, &oldsettings.rgba);
> -  FcPatternGetDouble (pat, FC_DPI, 0, &oldsettings.dpi);
> +
> +  if (FcPatternGetDouble (pat, FC_DPI, 0, &oldsettings.dpi) =3D=3D FcRes=
ultMatch)
> +    {
> +      oldsettings.dpi =3D round(oldsettings.dpi);
> +    }
> =20
>    if ((settings->seen & SEEN_AA) !=3D 0 && oldsettings.aa !=3D settings-=
>aa)
>      {
> -------------------------------------------------------------------------=
---
>=20
> and indeed there is a change in the behaviour.  Without the custom font s=
etting
> now GNU Emacs window does not a resize anymore at open.  It simply starts=
 with
> the system font without changing its size at open its window.
>=20
> Nevertheless, with the custom font setting and without my change in lisp/=
dynamic-setting.el
> the resize event of the GNU Emacs window is back and still the system fon=
t is
> used regardless what font has been customized in ~/.emacs
>=20
> > [backtraces]
> >=20
> > It's easy to spot `dynamic-setting-handle-config-changed-event' as the
> > source of this.
>=20
> Ack

There seems to be also an other place where rounding does not fit. With sys=
tem
font set, that is no custom font at all the height of the same font are dif=
ferent,
that is=20

  (font-face-attributes (font-get-system-font))

results in

  (:family "Monospace" :height 110)

whereas=20

  (font-face-attributes (face-attribute 'default :font))

shows

  (:family "Source Code Pro" :height 113 :weight normal :slant normal :widt=
h normal)

which is the same font (even over different channels) but different height.=
 I've
verified this by using

  (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :w=
eight normal :slant normal :width normal)))))
  (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))

Would interesting how to compare the uperficial ifferent font face attribut=
es
for the same font in (font-setting-change-default-font).

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--dfjxvjigxkey4bcl
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWkGyAAoJEFDpDVUdwWsuTqEP/11S/TluWKCCgU7PgoEgp+wH
9LooC6EQ4cIEM/KqKvV3W0Plj/9doncNFK0YsjRJnlUKBn1XEFAUorbxCVMRHVXo
Y6jCftKSGjW+MCWm+2hPsUWq21fHGX2Vdvrprq6QkAJKlRaEgN13k+rhil9JnKuq
bdWT2GTdgADD0WX4vWMCtBx8y+o5fhfSxF7fF9Vb2PMnyX//TfDI8MOeMRDoQd9O
i2ZMuqVuBV9TnFQzhD8EmFPt/dwzKWO521ZQGSK+7hSm8sxTBVX3OF8lLS+xc4I6
E42FdIQLvHdKiTLBGXWniwHibVcbb1qfERdnQruF6s4W3Xoeu8mZzkI113KwZjaq
xZ+d8WNDxUAwy0Xfh8KvUuWYnDOfXaeYZAOqS7ouEOSvowazYvr3pqSF7iKky+Hw
mSChtK9Tjfs/4QAOeFd1dy57hbuoKDsqDYjQ/ALb60P2jCKNeqDZZPpWMHlWbG8G
0DrYa+IjXuI65JQWg4QOdvX7ZIvadLtkH8kwG9Hp52XIudNLh0BRYDNG5aR02o9Y
g/VNpa9wLeTnenSw3DCTzxZWbI4CMnHsNtPQ3YhhFACKqqpioZ6mlu/d1df2xFt0
LY2DEk+Tgzo2gHHp9mvLYf5Jqf0ECtd+yMeE/KsCxurk0NGLVnOuwGU4WxFgnEGM
ru+FBYt+X9EjzoiGDokI
=EC6L
-----END PGP SIGNATURE-----

--dfjxvjigxkey4bcl--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 08:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 03:11:10 2016
Received: from localhost ([127.0.0.1]:49630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJbzR-0000qJ-Tb
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:11:10 -0500
Received: from mx2.suse.de ([195.135.220.15]:46196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJbzQ-0000qA-7A
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 03:11:08 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 498FEAABE;
 Wed, 21 Dec 2016 08:11:07 +0000 (UTC)
Date: Wed, 21 Dec 2016 09:11:04 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
Message-ID: <20161221081104.3nd6sga4cyi6q7wl@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="bdjf27sgzsx3fd3v"
Content-Disposition: inline
In-Reply-To: <58590F28.9040309@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--bdjf27sgzsx3fd3v
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Dec 20, 2016 at 11:59:52AM +0100, martin rudalics wrote:
>  '(default ((t (:inherit nil :stipple nil :background "grey92" :foregroun=
d "black" :inverse-video nil :box nil :strike-through nil :overline nil :un=
derline nil :slant normal :weight normal :height 98 :width normal :foundry =
"unknown" :family "Droid Sans Mono")))))
>=20
> The ":height 98" entry in this form before the offending change did set
> the "height of the default face in 1/10 pt" to 98.  After the offending
> change it is set to 113.  I have no idea what a "pt" is (and I have no
> idea what an "inch" is).  But from experience I know that the value of
> `window-font-height' for the root window of the initial frame is 15 for
> a default face height of 98 and 18 for a default face height of 113.


AFAIK pt are points aka 1/72 of 1 inch or in metric units 0.35278 mm
(and AFAIK the ANSI is member of the ISO but this is na other story:)

>=20
> As a consequence of the offending change, the frame character height of
> my initial frame is now 18 instead of the desired 15.  In the following
> I will try to explain how this happened here.
>=20
> [Werner - if you read this, please try to repeat it, maybe you get a
> completely different behavior.  I gdb one of my current versions of a
> GTK build of master, so the line numbers may be off wrt what you have
> (unfortunately, debugging the release version freezes GNU/Linux
> completely here and I have to turn off the power in order to restart
> it).]
>=20
> I first visit the file xsettings.c in the .src directory and start the
> debugger via M-x gdb completing it to
>=20
> gdb -i=3Dmi /home/martin/emacs-git/quick/obj-gtk/src/emacs
>=20
> which includes the path of my GTK executable.  Next in xsettings.c I
> move to line 611 which reads as
>=20
>   memset (&oldsettings, 0, sizeof (oldsettings));
>=20
> and set a breakpoint there.  Then I run the executable via
>=20
> run -Q --load /home/martin/temp/default-face.el
>=20
> and wait till the breakpoint is hit.  In the function where I set the
> breakpoint (apply_xft_settings) I now want to trigger the setting of the
> variable
>=20
>       changed =3D true;
>=20
> I do this by stepping via "n" and find that it happens on line 675
> because of oldsettings.dpi !=3D settings->dpi: The old value was
> 96.281588447653434 while the new value is 96.  As a consequence, on line
> 701 a
>=20
>       store_config_changed_event (Qfont_render,
> 				  XCAR (dpyinfo->name_list_element));

Hmmm ... after verifying this I've tried this patch
----------------------------------------------------------------------------
--- src/xsettings.c
+++ src/xsettings.c	2016-12-21 07:25:17.605036477 +0000
@@ -45,6 +45,7 @@ along with GNU Emacs.  If not, see <http
 #endif
=20
 #ifdef HAVE_XFT
+#include <math.h>
 #include <X11/Xft/Xft.h>
 #endif
=20
@@ -620,7 +621,11 @@ apply_xft_settings (struct x_display_inf
 #endif
   FcPatternGetInteger (pat, FC_LCD_FILTER, 0, &oldsettings.lcdfilter);
   FcPatternGetInteger (pat, FC_RGBA, 0, &oldsettings.rgba);
-  FcPatternGetDouble (pat, FC_DPI, 0, &oldsettings.dpi);
+
+  if (FcPatternGetDouble (pat, FC_DPI, 0, &oldsettings.dpi) =3D=3D FcResul=
tMatch)
+    {
+      oldsettings.dpi =3D round(oldsettings.dpi);
+    }
=20
   if ((settings->seen & SEEN_AA) !=3D 0 && oldsettings.aa !=3D settings->a=
a)
     {
----------------------------------------------------------------------------

and indeed there is a change in the behaviour.  Without the custom font set=
ting
now GNU Emacs window does not a resize anymore at open.  It simply starts w=
ith
the system font without changing its size at open its window.

Nevertheless, with the custom font setting and without my change in lisp/dy=
namic-setting.el
the resize event of the GNU Emacs window is back and still the system font =
is
used regardless what font has been customized in ~/.emacs

> [backtraces]
>=20
> It's easy to spot `dynamic-setting-handle-config-changed-event' as the
> source of this.

Ack

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--bdjf27sgzsx3fd3v
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWjkYAAoJEFDpDVUdwWsufQwP/ibj9cUy6aUi8vCkIdj4WUeV
C3h4VRtsxiI8s646nuSglEA7qoM+nPxLZoDsl75be8KL+VHANdbGlvUdBfvgMEfw
LlRkSeKgklxy8V/6RdeNlJGid3LCHy96BPNHE/r1P+8PFWqKvZZousrfEBrn9XFz
wRGlkrrF7ECtqgq3+ELV8I8s3rVKlKlF2lARe/fqOER4R8P8meCv3+y9Hwby7ZNB
OujAg9JU7QVN9kw1f0bs6h0eYkcP+SwTmKxEdNEu5pQljYe17GOXLHi8ZF+98XvB
Fch19vJRs96mfTcmz3zUjvlETZTkt5rCjNQCi/Q0HK4kSEns+ls4ufan8tpNN6Yz
DbcYSTXeB1Dqdn02u3B3bmp0XKO6fHKhu3EbI5bzMXAf0YJrC/ds4IAY2CH4BBd7
w8G4XjwmsniVo72mqNqljFbhOEDIWCUrjh06fKxwM3Hm1w2aFWF622AFBw4+nX3S
M7A26T9XzD4fXvk1U3lbBRYX9ZPZxLBANIqTbj/hEr/YB03LkdIOzSYvVR9iNI1s
Q55PRBf1KwOgjOhqjrwjyq0vpqaCVnqNlHKmlgPN5cawzVQ07xjBNu4rm49wT80D
NW97k7YcTqGQmiQS1tM48NeX5rQgAFD9ECqiyMrpOFHSSh5vU9ARRCo2jNoQ3Bym
5sY+ZsniZH3YJgggy1so
=yRzH
-----END PGP SIGNATURE-----

--bdjf27sgzsx3fd3v--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 21 Dec 2016 07:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 21 02:42:56 2016
Received: from localhost ([127.0.0.1]:49618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJbY8-0008TE-G3
	for submit <at> debbugs.gnu.org; Wed, 21 Dec 2016 02:42:56 -0500
Received: from mout.gmx.net ([212.227.17.21]:51742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJbY6-0008Sw-OB
 for 25228 <at> debbugs.gnu.org; Wed, 21 Dec 2016 02:42:55 -0500
Received: from [192.168.1.100] ([212.95.7.93]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LlDx4-1ctUb10XX4-00b0Um; Wed, 21
 Dec 2016 08:42:41 +0100
Message-ID: <585A3266.1000904@HIDDEN>
Date: Wed, 21 Dec 2016 08:42:30 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 
 Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
 <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
In-Reply-To: <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
Content-Type: multipart/mixed; boundary="------------050202090400010909000205"
X-Provags-ID: V03:K0:480UyiDcc9aCzp8+cPvEuT4Hh9g+v4LN3b0XKJwbiJnGDLp7IUB
 AqJS+3t0XMdFaMOUKy+C35W2/W0MBArzgmWNpTaYqJTGK7PYaQerj5Jge9v8nJug9IG5nG7
 7XnRdH5T3kXOltwXBjYt2jWS0Hh071QrU/gXmhWwmrYJfrPMTBo3RZ1iCjB2M3hvlUYQtd9
 ynaFAf7c41MkJzfSvyvjA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:upz8WWe/hvc=:dCHBEZzHAAq6OaE4nORzcp
 BpZNHTFqLkfayifOuvzHDqPUq9kHTzrCQq5uKHe27NXhMgApQV1hu6kwOzb3J1P88JM2xl/+d
 XM3hDBjlX7Wc8f4HHfV8FnR6Q3qgbhAv4tPck9/mWeSG2qYRdWAUDQxOWSP5vSka1eMDkbZSV
 lLIh+UL5zjbfpnVGbHFq8dtESUYHavNDw2+qP1vdU6GdF8o7NwKZKRzKmYDs6kRP9+Cgy6whr
 zQJtEp+ovV/7Wl1Y+Ua/t5vplQitdklHf717dpuYKSAeu3va9sLoj1WwBsvfNL6p5oOVyuNPt
 uqJoLmvSVx33Yuys61WGOVmWzeBHGNjOzh3zjO2YR25nUTd9TdpQbAM/JdcEVmn2iMgE70Rv4
 N5ellwp7MQrWjwil3PgCI9ZaQh6HCMsl5H60eGxukKz8X5ULo5Rztd2DiyoV7GGWxOza08ogJ
 1Xwm2xQq4Pq+LDysmaUSjtQypFx3yD/alXaA1oKU05fLMwDQVhRJRVQwYSs00+Hdz8uxa4cfx
 Qp4iMknjgz8JckbMTC9FXI4Q9eccTkVUehRgbfXxZAmYgojDyGAVse+0F0Zbv2Y/K52Xqkxm6
 xmZDonzeYb2Rxc60TGMoA1Zyef8QU3erYu4Z5AVublKH6YcwCV2H3AcphFzi7OLrDzK0eIcZc
 GGU8UVahc4ZtJbKzvNbMFZhlLbUzNCu5z21p1MtQua/SDO+SlmFd3XLYGflIliEkOb8o/j3A9
 QZYBrXWWA9y70FOKfKj/VDXQCd1EQiBbExd609nroD3yhwKQ/hl3bBjbpfVLVn76YuCmFHo04
 5aa/dKtkdlh3ZsFcAfoddo0XxKHGfuS/TwpdhhFDpP4ExEmNASAPi7R3y+FnUCMAP1x3GRLnl
 XFmo0zW7hXPJOFvXd6cNIK3AtWeYEusIdzK3ZgaIJ/dnRol8HMV58/avcnBab9dyJsbl0VqQC
 h3EEP3BApdx5y0dCcMns5IMeTjHQA1QxaDnnT+6v7hFwzaqseQC3oiFkwsKPNugDFIkpplllG
 sKHiY2VNDAs6+zkYmGIdj9w=
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

This is a multi-part message in MIME format.
--------------050202090400010909000205
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

 > Yes! On that particular machine the test still fails on 88cdf14b37
 > (Sorry it took me while to test it. I was fighting with proxies)
 >
 >> , we'd like you to
 >> apply a small patch and see if the problem goes away.  Is it okay?
 >
 > Yes. Gladly.

Please try the attached.

Thanks, martin

--------------050202090400010909000205
Content-Type: text/plain; charset=windows-1252;
 name="xsettings.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="xsettings.diff"

ZGlmZiAtLWdpdCBhL3NyYy94c2V0dGluZ3MuYyBiL3NyYy94c2V0dGluZ3MuYwppbmRleCBk
N2FmNjhmLi42MTMxZjY3IDEwMDY0NAotLS0gYS9zcmMveHNldHRpbmdzLmMKKysrIGIvc3Jj
L3hzZXR0aW5ncy5jCkBAIC02NjcsOCArNjY3LDEyIEBAIGFwcGx5X3hmdF9zZXR0aW5ncyAo
c3RydWN0IHhfZGlzcGxheV9pbmZvICpkcHlpbmZvLAogICAgIH0KICNlbmRpZgogCi0gIGlm
ICgoc2V0dGluZ3MtPnNlZW4gJiBTRUVOX0RQSSkgIT0gMCAmJiBvbGRzZXR0aW5ncy5kcGkg
IT0gc2V0dGluZ3MtPmRwaQotICAgICAgJiYgc2V0dGluZ3MtPmRwaSA+IDApCisgIGlmICgo
c2V0dGluZ3MtPnNlZW4gJiBTRUVOX0RQSSkgIT0gMAorICAgICAgJiYgc2V0dGluZ3MtPmRw
aSA+IDAKKyAgICAgICYmICgob2xkc2V0dGluZ3MuZHBpID49IHNldHRpbmdzLT5kcGkKKwkg
ICAmJiAob2xkc2V0dGluZ3MuZHBpIC0gc2V0dGluZ3MtPmRwaSkgPiAyKQorCSAgfHwgKChz
ZXR0aW5ncy0+ZHBpID4gb2xkc2V0dGluZ3MuZHBpKQorCSAgICAgICYmIChzZXR0aW5ncy0+
ZHBpIC0gb2xkc2V0dGluZ3MuZHBpKSA+IDIpKSkKICAgICB7CiAgICAgICBGY1BhdHRlcm5E
ZWwgKHBhdCwgRkNfRFBJKTsKICAgICAgIEZjUGF0dGVybkFkZERvdWJsZSAocGF0LCBGQ19E
UEksIHNldHRpbmdzLT5kcGkpOwo=
--------------050202090400010909000205--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 21:51:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 16:51:16 2016
Received: from localhost ([127.0.0.1]:49387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJSJY-0006MZ-4M
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 16:51:16 -0500
Received: from mail-lf0-f67.google.com ([209.85.215.67]:35695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1cJSJW-0006MK-F0
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 16:51:14 -0500
Received: by mail-lf0-f67.google.com with SMTP id p100so11870913lfg.2
 for <25228 <at> debbugs.gnu.org>; Tue, 20 Dec 2016 13:51:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=EsYYrXhanoEB1p4hi5+L5ga3YNinjjbw6sqg3Eh7B0o=;
 b=gpXz4lAFYVQYGziHFuEgeSY9KK+Hn0k6CBCWisX6Znh5wX79hT4+hFO6kdgjrOD83H
 c4gAFN8iZ3vt5PQYKLHLz3q7JZsICBE0ny2gaxPOUKjoHHlvxCqkvqPM3ii4csQMVWc4
 GRot0eKrlXfthu4LUY20yMZb+/3qoxio2xAvjd84iAzIiEb/LQNfwLJn0BGFA7jF2KvQ
 7LTBpdUKh6ptMolaT1b1DJZMCrvhC59m+0OCf1vpD0PHZ0XmKh5Ly486a1YmVUmvmk1A
 xIwX9DvIQZQ55j+oRKM4Tb65pauM/NVuHx5z0jBfwJ9iGvtQ+ypziH6mDHrS8p9FPOHX
 Rrfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=EsYYrXhanoEB1p4hi5+L5ga3YNinjjbw6sqg3Eh7B0o=;
 b=cGTDxoDWwvsdzCGGngqR97lCTVbU2Xd+Gmilh+gIYRj46dovROhiTwzAyZJiiZqF0q
 4lglxlnQV0ZEikY8eJ6n159AIkX7zqhtvd6BbQ/vXU458JezPitsPqvyi8lA5LU8hme8
 FY7NUo+w/wu3XvlcYDBEu9+UPkZYg2H8oS3H8taz6kywFvQ9BeMgVdq10hoNM2881lKL
 23hf4523qJcqskBxuV46VSwqLDhwTcneQGGfmitn41d++J7QtBUaSk7ga4prdpOKYM7h
 Qc4KiiCzp93ZKCp/qwX76S7bgnDdAJo7AZ1iQgL+rEMHB5LoMkd1OdS+WJZogJC5jxF4
 /4hg==
X-Gm-Message-State: AIkVDXINKXg9jnQPXkAIEeSXUK1gF6+g7f+yK8/S9yjjcCAvCKxfMW2OODRvPJxyILZ0YeqwTljO5GrajnBAHw==
X-Received: by 10.25.40.212 with SMTP id o203mr520479lfo.1.1482270668436; Tue,
 20 Dec 2016 13:51:08 -0800 (PST)
MIME-Version: 1.0
Received: by 10.114.172.4 with HTTP; Tue, 20 Dec 2016 13:50:27 -0800 (PST)
In-Reply-To: <83fuli2y48.fsf@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 <83fuli2y48.fsf@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Tue, 20 Dec 2016 22:50:27 +0100
Message-ID: <CAEtmmew_3Pqof6MYf-tceV903crGkGrR4_diH2+wfhu67eNv9g@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25228
Cc: martin rudalics <rudalics@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> If you have already reproduced the original problem

Yes! On that particular machine the test still fails on 88cdf14b37
(Sorry it took me while to test it. I was fighting with proxies)

> , we'd like you to
> apply a small patch and see if the problem goes away.  Is it okay?

Yes. Gladly.

Bost




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 19:34:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 14:34:54 2016
Received: from localhost ([127.0.0.1]:49333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJQBa-0002U7-8g
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:34:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJQBY-0002Tp-FG
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:34:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJQBQ-0005tY-6g
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:34:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.0 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36388)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJQBQ-0005tT-3z; Tue, 20 Dec 2016 14:34:44 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3350
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJQBP-0006Nr-7t; Tue, 20 Dec 2016 14:34:43 -0500
Date: Tue, 20 Dec 2016 21:34:31 +0200
Message-Id: <83fuli2y48.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
In-reply-to: <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
 (message from Rostislav Svoboda on Tue, 20 Dec 2016 20:24:30 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
 <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
> Date: Tue, 20 Dec 2016 20:24:30 +0100
> Cc: martin rudalics <rudalics@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
> 
> > I'm here!
> 
> Ok, I'm here but what should I do???

If you have already reproduced the original problem, we'd like you to
apply a small patch and see if the problem goes away.  Is it okay?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 19:32:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 14:32:19 2016
Received: from localhost ([127.0.0.1]:49329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJQ94-0002Pb-QI
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:32:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJQ93-0002PK-GH
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:32:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJQ8x-0005E2-Co
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:32:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.1 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36350)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJQ8r-0005D2-La; Tue, 20 Dec 2016 14:32:05 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3347
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJQ8q-0000m9-7f; Tue, 20 Dec 2016 14:32:05 -0500
Date: Tue, 20 Dec 2016 21:31:44 +0200
Message-Id: <83h95y2y8v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <58597D50.4050608@HIDDEN> (message from martin rudalics on Tue,
 20 Dec 2016 19:49:52 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <58597D50.4050608@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, rostislav.svoboda@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 19:49:52 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org, rostislav.svoboda@HIDDEN
> 
>  >> Nothing guarantees that such a silly discrepancy does not show up
>  >> somehwere else.
>  >
>  > I'm not sure I understand what discrepancy you had in mind.  Can you
>  > elaborate?
> 
> A discrepancy in one of the other settings investigated by
> apply_xft_settings: Antialias, Hinting, RGBA, LCDFilter, Hintstyle.

None of those are floating-point values, so I don't expect similar
problems with them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 19:29:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 14:29:26 2016
Received: from localhost ([127.0.0.1]:49321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJQ6I-0002J0-4E
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:29:26 -0500
Received: from mout.gmx.net ([212.227.15.18]:57783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJQ6G-0002Ig-2l
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:29:24 -0500
Received: from [192.168.1.100] ([212.95.7.55]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MbfnB-1c2iC60R3V-00J3tb; Tue, 20
 Dec 2016 20:29:15 +0100
Message-ID: <58598682.6060603@HIDDEN>
Date: Tue, 20 Dec 2016 20:29:06 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 
 Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
In-Reply-To: <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ffVZrjHaGmDeGvwJamB/59J8ePGblEdMjQk8/h0YTxS7vVGk3gw
 EFQA3/WxSCfAKirfzbdi77PcBv/t7L5VMFJ+IQMFcSvr0rjo6zB2DkplHsCt+lkTq/KFvrl
 kgil6I+0GFGD+3ITfs1EHgvGwAbh5J3BgXQXRyuXGTHCK2ZZ62bHeacaJSjG1Rfvh7fO/u7
 TzCssTcut3EvYXqS7Brrw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:711OPXhDlGw=:S08VSxC4kGxv7Mrz6gWv6+
 ZWsPfqIVqRwI0r3xV4t6Ar7m73jjhL8ZufEeRQlLvnw/rXZYlRuH+TXY4xL33dMpCqbVLu8ly
 KSqjU7fcTwOiPh0P27VjhAy+t8admRvmZ739KyHFR2YC1cyr8SVN/+LAH6VIzCxCJPp/WlNEH
 xJQ0hQ8VcGpfdthb92a0N1Xk5iToyA4L30Chtljqcu47obH2BLNhuNrvzunv8MHbL0RNtwsZT
 JhuUXP8PUyvjV87e1d34arDvBVA4Gf2TzS8dFge8Ew9bG5V90HCHE8cK/j7RYYkryXipgbJCO
 i7y59lqnnLBrjIJsosFDVM+q3nGQL94yQQ8YqPFinkErEzI4TmZgeBb8jvK7LMGtJDiSVfsQh
 EUGCQurxNC6O5H0y7o9FQ4HfWql956XvuQFzbmj4nOCmrihar8L7HFmiP3VKRD+H+4it2bt7F
 q6gUSPjGWMTq4eyr83cCYiz7uo8OWtLH/pksm7IodJY4FrzKM5ekwk1BhVZjeKi+MxFLDbWp5
 M9DMVkGr+bgnpppIeEwn+pgi8qoXun7itr46TCSYl5AKyZyTR4uXf66XFgxb4xuUtoxgmF+h/
 zMIX88AudtkmGBWVqSMiMFWq2nCtosfyzZrqyrDwKztMbI6U3EBZnMD3XR0zdxfkJofPHOT10
 GfuwvCW+VILujKUqZHRMIEuVzE1+Jyb98wz5E8GkpKlgdZwdrL69jt7bSSUD88tVyXFE0vDPd
 J+Pvec+3aDwl2kwZxq92b+wntl4mlUnT0v82vHU6AUMXuaIs2jZfyNs5p7l6yKerLJozPXFY/
 ldeA+jWEB0FPscIyn+wcIGKs1FMaQ==
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > I'm here!

Glad you are!

 > By coincidence, I have the machine where the bug occurred right next to me
 > but I'm not sure if it is still reproducible.

If you can reproduce it, please tell us.  In either case you might want
to have a look at the thread starting with

https://lists.gnu.org/archive/html/emacs-devel/2016-05/msg00557.html

and at the debugging session I described today in

http://lists.gnu.org/archive/html/bug-gnu-emacs/2016-12/msg00888.html

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 19:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 14:25:18 2016
Received: from localhost ([127.0.0.1]:49317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJQ2I-0002B7-JR
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:25:18 -0500
Received: from mail-lf0-f68.google.com ([209.85.215.68]:35533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1cJQ2H-0002As-DC
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:25:17 -0500
Received: by mail-lf0-f68.google.com with SMTP id p100so11492830lfg.2
 for <25228 <at> debbugs.gnu.org>; Tue, 20 Dec 2016 11:25:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=yP9hCnA/bWDKO2AKNSVNq/TvJzSukzKt70pf8VzCljU=;
 b=sPqfsjxtGNgIEaa+0R6vSPe7eGewEeNZcV7IHbPyraXmYU53c6IpYY1kqbKfOpYC/W
 XUmaGh0l2mSqrR7+6WRJQVurwuYWKey1xzqpFnKSrW3CNbFMNYKifrtMmG4l8pdF6D++
 xkb4q0VveRPD52pix3owXRh3UI5Wv3JCc1kBZLggbz5mwkGzJM4sR1cKkFItL7EN/A+D
 5pK8y1NQXZsg94QPTT43/5F59AIXDZqCyU4CHWMMmtRNHKqpwD/ItFhQDdYF6ca2o+7t
 dqy2Jk5TsTzGdhJf2utdtfKuuvroMxdh5RdKhksUx807qTLeE/RrIybq7ZkaA0Qy+4cU
 T3Hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=yP9hCnA/bWDKO2AKNSVNq/TvJzSukzKt70pf8VzCljU=;
 b=RLNVLXa0C5nySoXExZ2ZggzFTrwtgAN7xCkKL4UokMP+1sPo4wjmkvMCXiNdZeJ+Jr
 o0FE1krXX9ShqPCxOKVk9nxRVlROFlCeT3329LtX5CDmIwQJhufv4r/kLKElRVj3zIcN
 S/vcubu2M1nfYEL1QM34Lff45PTpXHc+SLvNJLI9p02k/IusYqK64g/9vSeTKO76w/rv
 bQUu6UBqMJOfQ6Cwqt3kpmFXZ9ivYL1OkyJyKpSMtmidMhvzVkSZsUS4c+ekymdEVK8N
 qHjxD9H+Id3R8aPClcbO8dJFOejV+Vk8uRLwr44DOUcIiSxKyJcfPZ8mbo+TZSiP7pDD
 W8UA==
X-Gm-Message-State: AIkVDXLPl28O9E9UFb03pO6YGI7zH8W4hbrKL9o24fm4wFbvQ/yO/KCWqcH7V8QuU0GBkXW6D05kG9RBK8v13g==
X-Received: by 10.25.76.195 with SMTP id z186mr367409lfa.104.1482261911461;
 Tue, 20 Dec 2016 11:25:11 -0800 (PST)
MIME-Version: 1.0
Received: by 10.114.172.4 with HTTP; Tue, 20 Dec 2016 11:24:30 -0800 (PST)
In-Reply-To: <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
 <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Tue, 20 Dec 2016 20:24:30 +0100
Message-ID: <CAEtmmexc+DArf+1oVbApv5+eYmjq2s4HmUCYaWWwoVYrZPd+wQ@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25228
Cc: martin rudalics <rudalics@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

> I'm here!

Ok, I'm here but what should I do???




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 19:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 14:21:16 2016
Received: from localhost ([127.0.0.1]:49312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJPyN-00023a-VZ
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:21:16 -0500
Received: from mail-lf0-f65.google.com ([209.85.215.65]:34340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1cJPq0-0001n9-Uq
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 14:12:37 -0500
Received: by mail-lf0-f65.google.com with SMTP id 30so9974494lfy.1
 for <25228 <at> debbugs.gnu.org>; Tue, 20 Dec 2016 11:12:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=UWQFgUhyv7fMD2ay8mkUHKCcohr4ey66iH+tCu7vKhQ=;
 b=uAn16pVeYt4CmqIkDtM113bzRMY//R7dMHvIhWIB03yL/hHuoSWCjZ6gIA9uMrluBu
 m+lP6sjbBCvguJcXmHyZOIjR6awP4DMalbWwzBCoTJ1iqns0mwvy4Uv3tThvvWHaEl2f
 2cyRyjez+kB+KA791+1YHRSoJ6LcTvjP8lOn3I9GRk9I59lIiSHoXxqgwx92lkgQMq7m
 GkJvNE/U8n4IyhHGC6U9YpiuRDcr6DlVtFaqgLV+cXq1ztgSqPi3XBLV8IfIUvwGBxBJ
 8qCNjo2GZxaET6jjUSk1NzPJh7zasn0j6jNiFnk/dkJLbEkGtnS7ZTVdTVIhPxu8pcTK
 BUtQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=UWQFgUhyv7fMD2ay8mkUHKCcohr4ey66iH+tCu7vKhQ=;
 b=DYCrK7hVoPeLgWHcvOElYsgL8ADvF0oC/7lQvtlGb7pLkuSjCPIiuxBjMI52VMbNNR
 fDEHNVJ6r7wPAvbaDX2LK3GC9NLL9mNoGRg7GbXiqpK3PHpdzEn6/GiIRA9Hy5g856it
 Prf5f3jQlXRparPCst456wWLsYzMo50iGBeSN+u4IgQwPACR5J25utDipb+ZxFeLvI5i
 ouRoTyMQuFTWH6Ggifcajq+NSWJQd6+7iR7B3CeSYWQ7T0Kx08Z3g8Q7EEKVbcURngoI
 2U9Ht/o8AjGVhr7F0DQs/rs7oOCUBxzSHjLOkDLXJG8I7ioTNiHz5JbV21tF75R1qE2C
 pIBQ==
X-Gm-Message-State: AIkVDXJTe94/GReEX8n0Uv7s7jtaoN+ovkW0u9CLSoxDv5SK4dp7V/qgFaLeZufIs2GyZwIoXOcYKR6uIExo4A==
X-Received: by 10.46.5.215 with SMTP id 206mr440921ljf.17.1482261150922; Tue,
 20 Dec 2016 11:12:30 -0800 (PST)
MIME-Version: 1.0
Received: by 10.114.172.4 with HTTP; Tue, 20 Dec 2016 11:11:50 -0800 (PST)
In-Reply-To: <83inqe30od.fsf@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Tue, 20 Dec 2016 20:11:50 +0100
Message-ID: <CAEtmmewhGnPTe2VpAwG-4qzQdVhKtQYUMpyYEgxdqoEpFjYK+Q@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25228
X-Mailman-Approved-At: Tue, 20 Dec 2016 14:21:14 -0500
Cc: martin rudalics <rudalics@HIDDEN>, werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

2016-12-20 19:39 GMT+01:00 Eli Zaretskii <eliz@HIDDEN>:
>> That's why I wanted Werner to counter-check.  And there was the original
>> author of this issue - Rostislav Svoboda.  IIRC I tried to contact him
>> once but he did not respond, anyway let's try again.
>
> Thanks.

I'm here!
By coincidence, I have the machine where the bug occurred right next to me
but I'm not sure if it is still reproducible.

Bost




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 18:50:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 13:50:13 2016
Received: from localhost ([127.0.0.1]:49295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJPUL-00019L-JE
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:50:13 -0500
Received: from mout.gmx.net ([212.227.15.15]:57339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJPUI-00018r-VF
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:50:11 -0500
Received: from [192.168.1.100] ([212.95.7.55]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MaZrd-1bzG2D2oVF-00KAlh; Tue, 20
 Dec 2016 19:50:00 +0100
Message-ID: <58597D50.4050608@HIDDEN>
Date: Tue, 20 Dec 2016 19:49:52 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN> <83inqe30od.fsf@HIDDEN>
In-Reply-To: <83inqe30od.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:eKbOeg8baGN199geVUXRznwIrKN/aEODBzYJbkbj9iNktckT7a9
 kyB1PYwiq3k13tySsyBzMTIRXKnmGogBUkmmd5q1oAR3Q6n1FjTq1WfqNoxyqRbHxzD/b2K
 6mZ2ir6Mf04YvArGIQW0BEMLZFQ7qQwe73NVsLVhIEos5KtgXxLwsj7iJPte1Vn5q4yil/j
 Ce0Szl3NlFtd0X4fxMNCw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:apTgtEv7Xjs=:HtApPYxMJKW+DQnJd1bZN+
 PIWuVnfMdT0NDLcg1Rud0v7HHfmiXywBIXCLNgiwNAaAUhrpW0VjrTxzUlNTDma8XlOtrlGFi
 6gv6TFNzS5myKJjTZPQQu33Hz7+TPM89gYQdQpsdq9APwbsuaEghs5gi/kHhHJkt1FC60BgZd
 Z3bA+AKlFeWgJaztaIbC6kPvapCCYda3rkcKardXWc1xg1HFOkCUExwsbl8CmNUv24I2ucuY+
 mq/C+c05RO5an4cCYFWuYRqcwZJ6YHMxiDB9fe/cqVkSgTAy2AHeypzPyJzxJGH2Jrx2HIOjc
 dd2PeD3WyijQN6umpxaxKOihXuDO2EK9lR6YyPQArpQ+lM7OjkU6Lkh9z+Q0/uiQrkSe7Qqm3
 KdNMofKy0nZUCB5jw4vC22IKksvScc8fgM40mJ0abKWFThHP/+YfFOFpNh0kB3SOOypN7ulRP
 Jr2euTjZHKBa1m0Mlzx2hJrWDVkAQrVsjZHnfEk7OdmP+BPhBCAcXR0hSZ6nexaRA0n7Cyu1h
 0L1hnp5CIcVSuO0b7sz9cn91iwA/g6i7wm4ZHxRKEXXiMgI6qnt0PYDq50nL8z2HWlGmK33cS
 78Qz7bh+PNkD6guiP3nX74dL1ncPsaugSpjKfo9ZzdWasHERr9ofVTElzDOCdpsVFObpFc3VD
 heh7F7bzzsYe20jeoAPMb95TM0n58xWLMzqGZINFtoN6gFQPS/w8werUpsmPC3cOnXj9I7Gd7
 NHr3kbTgS+PEQHKsMsmRQpgq3ca+bCliWBd5V90VcOTEMK5hmssLp13p+Sou9vay1LgpklRsO
 NdWc3IHagKjRkdpT1PMpw40oqJUHw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, rostislav.svoboda@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >> Nothing guarantees that such a silly discrepancy does not show up
 >> somehwere else.
 >
 > I'm not sure I understand what discrepancy you had in mind.  Can you
 > elaborate?

A discrepancy in one of the other settings investigated by
apply_xft_settings: Antialias, Hinting, RGBA, LCDFilter, Hintstyle.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 18:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 13:39:39 2016
Received: from localhost ([127.0.0.1]:49271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJPK7-0000q2-ME
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:39:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJPK6-0000po-Jq
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:39:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJPK0-0004mH-P2
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:39:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35801)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJPJu-0004lM-Tt; Tue, 20 Dec 2016 13:39:26 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3123
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJPJt-0008Dc-BR; Tue, 20 Dec 2016 13:39:26 -0500
Date: Tue, 20 Dec 2016 20:39:14 +0200
Message-Id: <83inqe30od.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <585975DB.3040203@HIDDEN> (message from martin rudalics on Tue,
 20 Dec 2016 19:18:03 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN> <585975DB.3040203@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, rostislav.svoboda@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 19:18:03 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org, rostislav.svoboda@HIDDEN
> 
>  > So all this disaster happens because 96.281588447653434 compares not
>  > equal to 96, is that right?
> 
> Here ;-)
> 
> That's why I wanted Werner to counter-check.  And there was the original
> author of this issue - Rostislav Svoboda.  IIRC I tried to contact him
> once but he did not respond, anyway let's try again.

Thanks.

>  > Would the problem be solved, both for you
>  > and for Werner, if we compare these values after rounding them to the
>  > nearest integer?  It looks to me that xsettings.c reads the new value
>  > as an integer to begin with, so it makes no sense to compare
>  > fractional values.  And AFAIK about DPI (which is very little, and
>  > nothing about Gsettings and Xft), the DPI values are always integers.
> 
> Nothing guarantees that such a silly discrepancy does not show up
> somehwere else.

I'm not sure I understand what discrepancy you had in mind.  Can you
elaborate?

> But I certainly won't mind using this as workaround for Emacs 25.2.

If it works, sure.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 18:18:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 13:18:22 2016
Received: from localhost ([127.0.0.1]:49257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJOzW-0000E9-F6
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:18:22 -0500
Received: from mout.gmx.net ([212.227.15.18]:58564)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJOzU-0000Dr-Ed
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 13:18:21 -0500
Received: from [192.168.1.100] ([212.95.7.55]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MdKgV-1c20h6030t-00IVdI; Tue, 20
 Dec 2016 19:18:11 +0100
Message-ID: <585975DB.3040203@HIDDEN>
Date: Tue, 20 Dec 2016 19:18:03 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
 <83mvfq32pg.fsf@HIDDEN>
In-Reply-To: <83mvfq32pg.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:jWyhZm9Uio+/yVUFvc1Pf9mucPEAGwSw9+p+5+hPSKMDt5ufVm5
 DiDFUQf91zvUkB90/wEpx2HcsYv9DN8/oeX5XoV+NBqR7qe1uvBSHa2gcpFxNlOBt7D1R7P
 7gSUtQt7qNAraDHZ6dx7EJyjCiXx8MqlEcfAFiPz51ZHOhwDqWv6hZ7EIHhvXad6MHOtfDG
 NtS7zozmtRyrRj1295P6Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:URm9RJW84+Q=:engjmadGZMRj7aasLvMBJr
 /5ae1Df69zLPVlTqxr1gzrGgqRnrZTxBAU5i8cRxKBaTMvG0Ro6KWtNtVKxhpscuym2OW8n3f
 W84IsV5vrVoM/chgFYnIZSyQ5YA0JItzcXfj1NYGuU+gySFTcgp4beBSA5cH25qi9y3/3kySe
 KeaR3GvepW6fJgXgLwIoAeCcod5D3Yh9KX1SGtCQC0/ovAvKSgwMBp91xsW+3L8VENLqgFylv
 n6ZVPfjUtc+Lql3aT38KCQpzmMyPisDPt6WG35/M6FKvVNya8bdKbizI5SCTMIQ8YH8eXU5s8
 NfQ3xWNbHWrNjPT3H59aoDt11XB3+EaLA9FQeTIinmXWgXcCqwej9ZbXbcx6AiI/hfy/+lw1t
 ZMIlGlfv62VlbBf0YY7SUoTmx9Xe/DON7HqDnxM5hShJP9km5xFNoBBYEQqczr9s06nKlD8ku
 S4Cp2EVpkD8GQSHm69ijStQfBUXnJgYr2VDx4ApodRermdEVZbdI7EkJoZKg6ysKnbzPoiw5V
 DDeaJUOEq4s7QjqiKqCfDw06DR3o1X3frcMNOMlE+9NplKz8ibEbSp9TcopYinyzVsuXh9uHf
 YiTTvdYYV0XB39ARn/1p7pob9YvIga8kGYXyOeK/nJUaytKIFjr4zCwvzrKWw3c+xYpFnqIdE
 /i/+JyHAO+lDMiUTeF+HkspT4HjsxsepinTu0NgxrH71DWoLeF0O+i7wH250rK3FhojvZNCAS
 8xpToZBPmGcfJbpAda0ULL0tr1HYoZuXteNf/zD+cvXqZj7/9DJ3aD+8cj2I157PTL9e9TKMy
 /SmEZPXOY20G3cVjszXkpCD9uYROw==
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, rostislav.svoboda@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > So all this disaster happens because 96.281588447653434 compares not
 > equal to 96, is that right?

Here ;-)

That's why I wanted Werner to counter-check.  And there was the original
author of this issue - Rostislav Svoboda.  IIRC I tried to contact him
once but he did not respond, anyway let's try again.

 > Would the problem be solved, both for you
 > and for Werner, if we compare these values after rounding them to the
 > nearest integer?  It looks to me that xsettings.c reads the new value
 > as an integer to begin with, so it makes no sense to compare
 > fractional values.  And AFAIK about DPI (which is very little, and
 > nothing about Gsettings and Xft), the DPI values are always integers.

Nothing guarantees that such a silly discrepancy does not show up
somehwere else.  But I certainly won't mind using this as workaround for
Emacs 25.2.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 17:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 12:58:38 2016
Received: from localhost ([127.0.0.1]:49235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJOgQ-000853-88
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:58:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJOgP-00084o-9B
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:58:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJOgG-0005Sw-Vp
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:58:32 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.0 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35107)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJOgG-0005Sk-T1; Tue, 20 Dec 2016 12:58:28 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3108
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJOgG-0003pi-1Z; Tue, 20 Dec 2016 12:58:28 -0500
Date: Tue, 20 Dec 2016 19:58:18 +0200
Message-Id: <83lgva32kl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Dr. Werner Fink" <werner@HIDDEN>
In-reply-to: <20161220165648.6iovnl7d4gh3g7qz@HIDDEN> (werner@HIDDEN)
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <20161220111858.gp723ihyr2ylqr7a@HIDDEN>
 <83tw9y37b6.fsf@HIDDEN>
 <20161220164139.mx5zfjp3tuueeqnh@HIDDEN>
 <20161220165648.6iovnl7d4gh3g7qz@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 17:56:48 +0100
> From: "Dr. Werner Fink" <werner@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
> 
> > The only guess I have is that the correction had now enabled the :user-spec
> > key/attribute.  For a workaround I've change some lines of code in
> > lisp/dynamic-setting.el ... compare with the attached patch.
> > 
> > With this patch both the custom font if enabled in ~/.emacs as well as
> > the system font works here for GNU Emacs with GTK as well as with X11.
> 
> Wrong version of the patch, this one seems to be better one ;)

Thanks.  However, this doesn't look like the right fix, because this:

> +  (let ((system-font (and (fboundp 'font-get-system-font)
> +                       (font-get-system-font)))
> +        (frame-list (frames-on-display-list display-or-frame))
> +	(user-font (face-attribute 'default :font)))
> +    (when (and system-font (display-graphic-p display-or-frame))
>        (clear-font-cache)
>        (if set-font
>  	  ;; Set the font on all current and future frames, as though
>  	  ;; the `default' face had been "set for this session":
> -	  (set-frame-font new-font nil frame-list)
> +	  (if (not user-font)
> +	      (set-frame-font system-font nil frame-list)
> +	     (set-frame-font user-font nil frame-list))

effectively disables the system-font feature, because

   (face-attribute 'default :font)

will always return non-nil.

So if my suggestion of rounding the DPI values before comparing them
fixes this for you, it sounds like a better solution to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 17:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 12:55:42 2016
Received: from localhost ([127.0.0.1]:49230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJOdZ-0007zm-Pz
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:55:41 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJOdZ-0007zX-1c
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:55:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJOdQ-00048C-RM
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:55:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35057)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJOdQ-000484-O4; Tue, 20 Dec 2016 12:55:32 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3105
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJOdP-00013J-Ut; Tue, 20 Dec 2016 12:55:32 -0500
Date: Tue, 20 Dec 2016 19:55:23 +0200
Message-Id: <83mvfq32pg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <58596B9B.4050001@HIDDEN> (message from martin rudalics on Tue,
 20 Dec 2016 18:34:19 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN> <58596B9B.4050001@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 18:34:19 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org
> 
>  >> Before e65c307 the disjunct
>  >>
>  >>            (or (font-get (face-attribute 'default :font f 'default)
>  >>                      :user-spec)
>  >>
>  >> in ‘font-setting-change-default-font’ always evaluated to nil.  After
>  >> e65c307 it returns some non-nil value and ‘frame-font’ gets set to that.
>  >
>  > And the value "Monospace 11" you quoted back then -- any idea where
>  > does that come from?
> 
> No idea.  But when I run emacs -Q and evaluate
> 
> (font-get (face-attribute 'default :font (selected-frame) 'default) :user-spec)
> 
> I get "Monospace 11".

So all this disaster happens because 96.281588447653434 compares not
equal to 96, is that right?  Would the problem be solved, both for you
and for Werner, if we compare these values after rounding them to the
nearest integer?  It looks to me that xsettings.c reads the new value
as an integer to begin with, so it makes no sense to compare
fractional values.  And AFAIK about DPI (which is very little, and
nothing about Gsettings and Xft), the DPI values are always integers.

WDYT?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 17:34:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 12:34:40 2016
Received: from localhost ([127.0.0.1]:49218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJOJE-0007P8-NG
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:34:40 -0500
Received: from mout.gmx.net ([212.227.15.15]:58689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJOJB-0007Ol-0D
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:34:38 -0500
Received: from [192.168.1.100] ([212.95.7.55]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MTSrf-1cBrfQ3thv-00SRef; Tue, 20
 Dec 2016 18:34:28 +0100
Message-ID: <58596B9B.4050001@HIDDEN>
Date: Tue, 20 Dec 2016 18:34:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN>
In-Reply-To: <83pokm34yd.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:d46n+TxnFbFHMgi/2+8IM+VQe+xLWiz0WB1r4eNn9kkHCMDZ+63
 nT4sE2Git60ll3+iT0ywIawyTqyGzou8rsJcqkKHpJipNRQwBFSbpMgDxlxdSc+OdYlM6hM
 a9rEOjbpGqKTQqTYL5FH+RMHI+RoLh85mb7kASTW/BHXVnBmwevqXCPlF7bBuvyaRTQ4/JX
 6MZGU5jMAXh61n27rubpQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:pl4ecsUbqSU=:MW1pov+yT6AlZYNZQFrNTq
 Jkb7uSFDR0etX5/NVJEcs2sv2QYana3ZjkcR+FPRB6Ucpa0dPrHbGH53uGAHC2xbYP6oPHgtm
 BQf65LZVdECIognn3UHJ+JHPaUNDHqq8djGHTemCv8d4yO6qslOoMhM7BRA7c18llTlmwSjvI
 82dmhkyJd+YwWhryta57qM3IID6RRu3LdJfXSQvJWkLQ3OPNpMk8b3jCQU7J4Zo08gjTQHpJp
 WS2q1wJ6KZtSedjz2q6fq8/xvHiNynZRiVI4xuq7iQeyapGszxi2MtUtmT6nacAoxoBRmwM/+
 PFMhX4LMyCX3On5H8M8oZpIZdEahOY6oVy1o/0fGmKzaONNC9e5qaEXfXM5f0wP8NwnUPF7xK
 LH+72tvPHuKmS/pQ8LB92iZzj4cUlNIOV8ikkDmY+WxThv1MxcpDzmNydNpW+XdrFa7OIhTxy
 bfOfnI1gv73JpGp/cUAqWSkmJAKv2iJ47jb1XBgdEaaNR8CFOH8Z1RaquSONQ+Ls510bZla9y
 NbHN33uY7imVcRjHN69BaLD7I5mea3SdHd6ioYhmy0iFnDR74LCLZ0LpF0taFGoxMhUuTr/cD
 kSpU523BNJyt3QQmK0NoOlzSWRODz0Ql2xmTPl9CeAMCFCNX2pfjCwRZrJf6hRhlu3t5PDtzC
 scg7s0hInWDCrIXWzbqkAqsHW/4cfcwIh8m3BF5bROI2/BCXf17NpZxtQLC05FQ7jolEKNqMH
 uZG3vI60eDLWYfpw+wg9DgsUzPOIiQt70sySqfLJs+i3xYWhHK6svT+koX4NySe++JCbPFFGx
 yw4NK7mC6zuzSqixNzpCDYaHIoJ6w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >> Before e65c307 the disjunct
 >>
 >>            (or (font-get (face-attribute 'default :font f 'default)
 >>                      :user-spec)
 >>
 >> in =E2=80=98font-setting-change-default-font=E2=80=99 always evaluate=
d to nil.  After
 >> e65c307 it returns some non-nil value and =E2=80=98frame-font=E2=80=99=
 gets set to that.
 >
 > And the value "Monospace 11" you quoted back then -- any idea where
 > does that come from?

No idea.  But when I run emacs -Q and evaluate

(font-get (face-attribute 'default :font (selected-frame) 'default) :user=
-spec)

I get "Monospace 11".

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 17:28:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 12:28:51 2016
Received: from localhost ([127.0.0.1]:49212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJODb-0007Do-25
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:28:51 -0500
Received: from mx2.suse.de ([195.135.220.15]:41191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJODZ-0007De-Py
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:28:50 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id A28A6AAC7;
 Tue, 20 Dec 2016 17:28:48 +0000 (UTC)
Date: Tue, 20 Dec 2016 18:28:45 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
Message-ID: <20161220172845.e27mjlopceyhlwxe@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN> <83pokm34yd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="ra3r6hunlhsnr3a2"
Content-Disposition: inline
In-Reply-To: <83pokm34yd.fsf@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--ra3r6hunlhsnr3a2
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Dec 20, 2016 at 07:06:50PM +0200, Eli Zaretskii wrote:
> > Date: Tue, 20 Dec 2016 17:25:11 +0100
> > From: martin rudalics <rudalics@HIDDEN>
> > CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org
> >=20
> > Before e65c307 the disjunct
> >=20
> >           (or (font-get (face-attribute 'default :font f 'default)
> >                     :user-spec)
> >=20
> > in =E2=80=98font-setting-change-default-font=E2=80=99 always evaluated =
to nil.  After
> > e65c307 it returns some non-nil value and =E2=80=98frame-font=E2=80=99 =
gets set to that.
>=20
> And the value "Monospace 11" you quoted back then -- any idea where
> does that come from?

AFAICS monospace font is used in src/xsettings.c as well as in src/xfns.c
and src/ftfont.c ... also the configure has set HAVE_XFT as well as HAVE_GC=
ONF
to 1 ... and the function font-get-system-font does return the current
mono font and is used in lisp/dynamic-setting.el

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--ra3r6hunlhsnr3a2
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWWpNAAoJEFDpDVUdwWsuQPAP/1LqTrsv5UiZhZKfScV1cOL0
2sC//0Gz3vUpN+sVjDZhXe9n90xDYytoZnAuZd7JlHjmLNQkWQXKSE3AEpbh4oFv
sNvGZ3UOndJPg96dCJpb7NOFyC+dfnN++nsVuqrF4KhPlqkna2kJK44g0yrQtdvb
hmS9hYCJ5rITvZTBhK0KDUR1PVLHnKUUq7s+2BP2yRuWcfaoFcKDqJZYPdBiNpf4
Jm0u1/KjbNK3jhQ7Iyw2eEUOlK4C7Grebc1wFG72m1Y6hRYCei18PlL3olZC7EhF
mrJOxz7EuFYX9sZY3XuYmYm3wgMobvDqhzAdHkRLyZ++bC3Xqf5RKoHNePuy4jj8
8xerH9VxlNNS1ViXJ3tX5U/P3qopmSUcPzfN/XvDfD+xFgaItbvcfZHkDjBj0B2q
1XCMs8owu54jDR7hsJQ+lXvD+ATOtVa8Z5dS3ILrpeXIFqoYYSBCsmD6OrlXIOpK
KIl6Jx0wqo9fc7MuyPNHU4FFJOG7Hv0md8sjryyf1hDQ+UFGcTLlJal0LHs6o69p
//fr4gm14wgdmRoaz0We5pi8vZRwm6ZKNSoKZvOPstd6aLAdcChIxbBpn7v3f1iO
k9MGbwIMRQkvmsmh8qyvxzv887/tMnGcNa6n5ikiDhJze0jwgqOZPUZKmU3SjXGt
ORYn/EQiurAB0lTd50A8
=kJyf
-----END PGP SIGNATURE-----

--ra3r6hunlhsnr3a2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 17:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 12:07:08 2016
Received: from localhost ([127.0.0.1]:49202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJNsZ-0006Zs-Jb
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:07:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJNsY-0006ZM-7v
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:07:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJNsP-0004pz-S7
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 12:07:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.6 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34289)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJNsP-0004pv-OY; Tue, 20 Dec 2016 12:06:57 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3048
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJNsP-00086m-2G; Tue, 20 Dec 2016 12:06:57 -0500
Date: Tue, 20 Dec 2016 19:06:50 +0200
Message-Id: <83pokm34yd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <58595B67.7030305@HIDDEN> (message from martin rudalics on Tue,
 20 Dec 2016 17:25:11 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
 <58595B67.7030305@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 17:25:11 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org
> 
> Before e65c307 the disjunct
> 
>           (or (font-get (face-attribute 'default :font f 'default)
>                     :user-spec)
> 
> in ‘font-setting-change-default-font’ always evaluated to nil.  After
> e65c307 it returns some non-nil value and ‘frame-font’ gets set to that.

And the value "Monospace 11" you quoted back then -- any idea where
does that come from?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 16:56:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 11:56:54 2016
Received: from localhost ([127.0.0.1]:49193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJNig-0006EX-Cv
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:56:54 -0500
Received: from mx2.suse.de ([195.135.220.15]:37281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJNie-0006EP-Nj
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:56:53 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id C81BEAAC7;
 Tue, 20 Dec 2016 16:56:51 +0000 (UTC)
Date: Tue, 20 Dec 2016 17:56:48 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: "Dr. Werner Fink" <werner@HIDDEN>
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161220165648.6iovnl7d4gh3g7qz@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <20161220111858.gp723ihyr2ylqr7a@HIDDEN>
 <83tw9y37b6.fsf@HIDDEN>
 <20161220164139.mx5zfjp3tuueeqnh@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="exmqeebh2tsv4xd7"
Content-Disposition: inline
In-Reply-To: <20161220164139.mx5zfjp3tuueeqnh@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: Eli Zaretskii <eliz@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--exmqeebh2tsv4xd7
Content-Type: multipart/mixed; boundary="z6r3vzzwqijngy23"
Content-Disposition: inline


--z6r3vzzwqijngy23
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Dec 20, 2016 at 05:41:39PM +0100, Werner Fink wrote:
> > why I asked to describe which code triggers this and how it started
> > affecting us after commit e65c307.
>=20
> The only guess I have is that the correction had now enabled the :user-sp=
ec
> key/attribute.  For a workaround I've change some lines of code in
> lisp/dynamic-setting.el ... compare with the attached patch.
>=20
> With this patch both the custom font if enabled in ~/.emacs as well as
> the system font works here for GNU Emacs with GTK as well as with X11.

Wrong version of the patch, this one seems to be better one ;)

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--z6r3vzzwqijngy23
Content-Type: text/x-patch; charset=iso-8859-1
Content-Disposition: attachment; filename="emacs-25.1-custom-fonts.patch"
Content-Transfer-Encoding: quoted-printable

Work around openSUSE bug #1016172
=20
--
 lisp/dynamic-setting.el |   30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

--- lisp/dynamic-setting.el
+++ lisp/dynamic-setting.el	2016-12-20 16:51:49.533433283 +0000
@@ -33,6 +33,7 @@
 ;;; Customizable variables
=20
 (declare-function font-get-system-font "xsettings.c" ())
+(declare-function font-face-attributes "font.c" (font &optional frame))
=20
 (defvar font-use-system-font)
=20
@@ -42,28 +43,28 @@ If DISPLAY-OR-FRAME is a frame, the disp
=20
 If SET-FONT is non-nil, change the font for frames.  Otherwise re-apply the
 current form for the frame (i.e. hinting or somesuch changed)."
-  (let ((new-font (and (fboundp 'font-get-system-font)
-		       (font-get-system-font)))
-	(frame-list (frames-on-display-list display-or-frame)))
-    (when (and new-font (display-graphic-p display-or-frame))
+  (let ((system-font (and (fboundp 'font-get-system-font)
+                       (font-get-system-font)))
+        (frame-list (frames-on-display-list display-or-frame))
+	(user-font (face-attribute 'default :font)))
+    (when (and system-font (display-graphic-p display-or-frame))
       (clear-font-cache)
       (if set-font
 	  ;; Set the font on all current and future frames, as though
 	  ;; the `default' face had been "set for this session":
-	  (set-frame-font new-font nil frame-list)
+	  (if (not user-font)
+	      (set-frame-font system-font nil frame-list)
+	     (set-frame-font user-font nil frame-list))
 	;; Just redraw the existing fonts on all frames:
 	(dolist (f frame-list)
-	  (let ((frame-font
-		 (or (font-get (face-attribute 'default :font f 'default)
-			       :user-spec)
-		     (frame-parameter f 'font-parameter))))
+	  ;; (apply 'font-spec (font-face-attributes (font-get-system-font)))
+	  (let* ((frame-font
+		  (or (face-attribute 'default :font f 'default)
+		      (frame-parameter f 'font-parameter)))
+		 (font-attr (font-face-attributes frame-font)))
 	    (when frame-font
 	      (set-frame-parameter f 'font-parameter frame-font)
-	      (set-face-attribute 'default f
-				  :width 'normal
-				  :weight 'normal
-				  :slant 'normal
-				  :font frame-font))))))))
+	      (apply #'set-face-attribute 'default f font-attr))))))))
=20
 (defun dynamic-setting-handle-config-changed-event (event)
   "Handle config-changed-event on the display in EVENT.

--z6r3vzzwqijngy23--

--exmqeebh2tsv4xd7
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWWLQAAoJEFDpDVUdwWsufZAP/1iIhdKsvi+P9o+lDE/3o+CA
NzqxN7SMHAMrIy7IGsewC+v5asS6T5cLRtN9DkEYi2xhWdYa7d2TBajEZIc+3Lhz
erOdTInFQbWp81jzcI8euhqLxEqA3IS7w7pGNuNP/PVtzomADo8yby+PqNQVpbFn
3LvVJ68o4FKvyXCEMxFk/0fq8FbBNVcc2vp13r8yTTJOsXhVMoN1CAwTgNt9MuP+
3541NQyrA68Q2Ue2H0E7MROJpMIti7YccKNrX9lZxJ/l94gjVIWk/mz7gUCdlZ46
nxT8C3dI6uJkAdCSJpiUuhWhXPy42nW8l0m9rv484YsouJ6mmpITuP/2U/mPB2fh
83sA36k2lZ69CV6YgT7fuY6ARANQ9FbNy+evEapCD2I9PpBvTfqASg6u/5vY097G
MyqFcGm4hVcRHqcDtuhPCQcPhgYJfqHYUdxiP8NSGArjpW79KSc+ufqBlOm0UU9a
CPrVI9Ujizf0iAz3dsobvs/62UOSU02MQdqoNr83mwhiDDpiMv5EJF/PQC9yJ0Pw
Kav4GHJzuF++TQX9LdwxwdmLaz7HS/C8MpAhtiIX1OSrGgwde/L0vISoX4wGjmqt
OwqxP2qFM91HKSh0ELXhbtFoihQQgBlzf0oqqqWyY1zJjIWy3ZplBhauCSoKBWPl
LAime52zG7gzHotMeKjt
=DwJJ
-----END PGP SIGNATURE-----

--exmqeebh2tsv4xd7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 16:41:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 11:41:46 2016
Received: from localhost ([127.0.0.1]:49184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJNU1-0005ms-Na
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:41:45 -0500
Received: from mx2.suse.de ([195.135.220.15]:35440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJNTz-0005me-OE
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:41:44 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 20674AAC7;
 Tue, 20 Dec 2016 16:41:42 +0000 (UTC)
Date: Tue, 20 Dec 2016 17:41:39 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
Message-ID: <20161220164139.mx5zfjp3tuueeqnh@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
 <20161220111858.gp723ihyr2ylqr7a@HIDDEN>
 <83tw9y37b6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="s7k7mvtkdjzezh2i"
Content-Disposition: inline
In-Reply-To: <83tw9y37b6.fsf@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--s7k7mvtkdjzezh2i
Content-Type: multipart/mixed; boundary="a5sj6aomlduini4x"
Content-Disposition: inline


--a5sj6aomlduini4x
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Dec 20, 2016 at 06:15:57PM +0200, Eli Zaretskii wrote:
> > Date: Tue, 20 Dec 2016 12:18:58 +0100
> > From: "Dr. Werner Fink" <werner@HIDDEN>
> > Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
> >=20
> > > Can you describe how that mechanism is triggered by the offending
> > > change?
> >=20
> > Just play around with eval-region/expression ... that is that I can swi=
tch with
> >=20
> >   (font-setting-change-default-font ":0" t)
> >=20
> > or
> >=20
> >   (font-setting-change-default-font ":0" nil)
> >=20
> > to the system default font settings and then with
> >=20
> >   (custom-set-faces '(default ((t (:family "B&H LucidaTypewriter"
> >     :foundry "B&H" :slant normal :weight normal :height 110 :width norm=
al)))))
>=20
> Thanks.  However, I don't have easy access to systems where this
> problem happens, so I must examine the source code instead.  That is
> why I asked to describe which code triggers this and how it started
> affecting us after commit e65c307.

The only guess I have is that the correction had now enabled the :user-spec
key/attribute.  For a workaround I've change some lines of code in
lisp/dynamic-setting.el ... compare with the attached patch.

With this patch both the custom font if enabled in ~/.emacs as well as
the system font works here for GNU Emacs with GTK as well as with X11.


Werner

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--a5sj6aomlduini4x
Content-Type: text/x-patch; charset=iso-8859-1
Content-Disposition: attachment; filename="emacs-25.1-custom-fonts.patch"
Content-Transfer-Encoding: quoted-printable

Work around openSUSE bug #1016172
=20
--
 lisp/dynamic-setting.el |   30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

--- lisp/dynamic-setting.el
+++ lisp/dynamic-setting.el	2016-12-20 16:17:30.100242946 +0000
@@ -33,6 +33,7 @@
 ;;; Customizable variables
=20
 (declare-function font-get-system-font "xsettings.c" ())
+(declare-function font-face-attributes "font.c" (font &optional frame))
=20
 (defvar font-use-system-font)
=20
@@ -42,28 +43,29 @@ If DISPLAY-OR-FRAME is a frame, the disp
=20
 If SET-FONT is non-nil, change the font for frames.  Otherwise re-apply the
 current form for the frame (i.e. hinting or somesuch changed)."
-  (let ((new-font (and (fboundp 'font-get-system-font)
-		       (font-get-system-font)))
-	(frame-list (frames-on-display-list display-or-frame)))
-    (when (and new-font (display-graphic-p display-or-frame))
+  (let ((system-font (and (fboundp 'font-get-system-font)
+                       (font-get-system-font)))
+        (frame-list (frames-on-display-list display-or-frame))
+	(user-font (face-attribute 'default :font)))
+    (when (and system-font (display-graphic-p display-or-frame))
       (clear-font-cache)
       (if set-font
 	  ;; Set the font on all current and future frames, as though
 	  ;; the `default' face had been "set for this session":
-	  (set-frame-font new-font nil frame-list)
+	  (if (not user-font)
+	      (set-frame-font system-font nil frame-list)
+	     (set-frame-font user-font nil frame-list))
 	;; Just redraw the existing fonts on all frames:
 	(dolist (f frame-list)
-	  (let ((frame-font
-		 (or (font-get (face-attribute 'default :font f 'default)
-			       :user-spec)
-		     (frame-parameter f 'font-parameter))))
+	  ;; (apply 'font-spec (font-face-attributes (font-get-system-font)))
+	  (let* ((frame-font
+		  (or (face-attribute 'default :font f 'default)
+		      (frame-parameter f 'font-parameter)))
+		 (font-attr (font-face-attributes frame-font)))
 	    (when frame-font
 	      (set-frame-parameter f 'font-parameter frame-font)
-	      (set-face-attribute 'default f
-				  :width 'normal
-				  :weight 'normal
-				  :slant 'normal
-				  :font frame-font))))))))
+	      (apply #'set-face-attribute 'default f=20
+	      (set-face-attribute 'default font-attr)))))))))
=20
 (defun dynamic-setting-handle-config-changed-event (event)
   "Handle config-changed-event on the display in EVENT.

--a5sj6aomlduini4x--

--s7k7mvtkdjzezh2i
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWV9DAAoJEFDpDVUdwWsukkAP/RGcZT6NVk50DfEVFREg2/2G
DclMkSkM5hkw6ABEqnnSCPrjtf4kYK21kQB2ZdZcvAwZsUYtxSi5HaWtgOt1krWD
R/WELRoKREEqxfeoQDiVwdooj6s/8FiCb4YaYCAuXYhkly9f/hF2buXBVBSa5EMI
dQLnBPtJ+5if2SzHf90DgRCfLWH1KeB4nOQpVtPxqCEXDxdftoIHSlRWsj3Kx2BC
f3vssDI1a0fNITl7zuYWsuerUX6YC3lqby/jnhaVhQd01wA01Hfs/ZgLa700uYZl
QRijRc1YX/hi2W29BJPguDTxhP8C5avoIVIUhB6TAHeZxvTuzH4DKYg8jpJXX58B
R9FzUSpOpL7mXbwfUpsMNGt5tz5+y0yCcSBPlgGyQa+vI8bWD6vQtyZY7aqmajBv
Bge5qCvNyoR9j2lvkoikGnzLOyd/KfHTWxP1mFnNTDkTo6miv6XeVYThnMEoXj8p
htYV++jQ2p+DgN+4deiKlD3fpVJm97O/fSEwRrpdGczWCfzRJCYjYQ7agVmeorXz
bJL7s3B32YfCrRz5RL1cgNJZilfDE9CygYw6TyqYNJFleuGbXpYirvH+Y6Dp8JNa
jrrx789mHNKXN+i+yY5+vR0IMZvTNLGxif8Qd3J6ZHLJLfj1JwPLva+kmZP/kQ1V
ZfoUY+EZjy9xFk5LGDlQ
=rE28
-----END PGP SIGNATURE-----

--s7k7mvtkdjzezh2i--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 16:25:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 11:25:28 2016
Received: from localhost ([127.0.0.1]:49167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJNEG-0005JZ-Dx
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:25:28 -0500
Received: from mout.gmx.net ([212.227.15.19]:55176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJNEF-0005JM-Fa
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:25:28 -0500
Received: from [192.168.1.100] ([212.95.7.55]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lw1vh-1ce4tm0mkP-017p5Z; Tue, 20
 Dec 2016 17:25:19 +0100
Message-ID: <58595B67.7030305@HIDDEN>
Date: Tue, 20 Dec 2016 17:25:11 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN> <83vaue37ib.fsf@HIDDEN>
In-Reply-To: <83vaue37ib.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:rqnipv+hQT2IAidw9W+NJBdY2ACBiB64QGImZEnng24O0Hnsd+x
 geWJvdzIPyxKHrbxNWN9Dt+A00aO/C0Mk5VSiBMT2DW8hPjkOmJIul/PLJiRoIMG0D5P5+B
 gW6K05CC+UJDOOA1KCYBDr9TErj5000mIVd3mXKDu0BspaZH6fOZerJOo0o/DDukNiAJAzb
 IwL3/PQLvsAU+/RJnmgiA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:j1TJJ+xGFZ4=:FP5KybJgWhfrmS3J5zAL2n
 dD2rhRZ5XJZOn2WcFiLjnPBx3qvVZADqn9m0iPr7LsMzqktBDpI+OjpS5sgOBYzLoo+etvkFS
 Gm5ZrWmSjSzqHmW3XbQK3Ih5JYNMjoUKzMwxhffEgxAnaOVHjxpMzclFUBXAjeIWnSoez7GT8
 XbPI1q45TpW6tosRTKQoeZHyyyBrhANN5e7tJvrii884R7BsTlYJzZ9NRt14ZaWh9b9O7x9wH
 mmIs1bd6bN0NlA6kspf8ejyWUAGvLm0QlVIM4fSd9hu/QwqGYeMou6Ca+0scvB8pKIYwfuIYO
 G8bh4dqHJWDwQ/uI22tvTybM8/QE6B0FG9L0n4DIigdsALygfNDBTJ8Nn/4S4LJ3azfmqdEgd
 0Dtee5DoBBlx9MppllLZOS0r+jxAgmEAs9K2NMDz2+LhpPgiFJwOY5UGtBCOOVBL4t3DWAYeZ
 uQ3RZNd9uVokWOtA/wOPJ+JKQIjAaYbpglX83AsIMq8IoTRk/txC/XaW0iFg5gOg8dhG7nNHB
 aROGtlsN3coc+jd9//UQETWyXEhfeTVY27BPiJJyEMdaPOQSM2tWk4OQD7KkbqoRtPIj0wsNL
 7dbR/HChiN4YTSJE2OZqBUs8+moXlBsR5TipX1NCb2DaQNp0ATV6EjZIN3+fK7KYDYi37+juH
 pTs3szn4EKR4UB+QC1bP6+UpbtbemgCW/3SV2BmZ0d1qJtcMObfYKpqMMSz5AR8tHaPiujqVi
 pvH692R4zybQWWQZLibhoJQKSrUE24RcGaWwSQtZgT1SD74MC8wbZuKj6Suu/hOT6zaPpO3SX
 6bzxkxoiMH37Hy7kS0pIy7Pemy+SA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >> Which one is "the offending change"?
 >
 > The one whose commit caused this issue to arise, commit e65c307.
 >
 >> If you reread the thread, you will
 >> see that there are controversial opinions.  Anyway, here we go.
 >
 > Thanks, but that's not what I asked about.  I asked to describe how
 > the change after which this issue appeared causes it to appear.  IOW,
 > what does the current code do that wasn't done before e65c307, which
 > triggers this problem?

Before e65c307 the disjunct

          (or (font-get (face-attribute 'default :font f 'default)
                    :user-spec)

in =E2=80=98font-setting-change-default-font=E2=80=99 always evaluated to=
 nil.  After
e65c307 it returns some non-nil value and =E2=80=98frame-font=E2=80=99 ge=
ts set to that.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 16:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 11:16:20 2016
Received: from localhost ([127.0.0.1]:49163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJN5Q-00053q-6c
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:16:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJN5O-00053R-3K
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:16:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJN59-0000nT-2g
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:16:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33674)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJN58-0000nO-W6; Tue, 20 Dec 2016 11:16:03 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2976
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJN58-0002Hi-8X; Tue, 20 Dec 2016 11:16:02 -0500
Date: Tue, 20 Dec 2016 18:15:57 +0200
Message-Id: <83tw9y37b6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Dr. Werner Fink" <werner@HIDDEN>
In-reply-to: <20161220111858.gp723ihyr2ylqr7a@HIDDEN> (werner@HIDDEN)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <20161220111858.gp723ihyr2ylqr7a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: rudalics@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 12:18:58 +0100
> From: "Dr. Werner Fink" <werner@HIDDEN>
> Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
> 
> > Can you describe how that mechanism is triggered by the offending
> > change?
> 
> Just play around with eval-region/expression ... that is that I can switch with
> 
>   (font-setting-change-default-font ":0" t)
> 
> or
> 
>   (font-setting-change-default-font ":0" nil)
> 
> to the system default font settings and then with
> 
>   (custom-set-faces '(default ((t (:family "B&H LucidaTypewriter"
>     :foundry "B&H" :slant normal :weight normal :height 110 :width normal)))))

Thanks.  However, I don't have easy access to systems where this
problem happens, so I must examine the source code instead.  That is
why I asked to describe which code triggers this and how it started
affecting us after commit e65c307.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 16:11:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 11:11:56 2016
Received: from localhost ([127.0.0.1]:49156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJN1A-0004vj-LA
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:11:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJN19-0004vW-JG
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:11:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJN10-0007bh-Cx
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 11:11:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.1 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33592)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJN10-0007bZ-9J; Tue, 20 Dec 2016 11:11:46 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2975
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJN0z-0000Sq-GP; Tue, 20 Dec 2016 11:11:46 -0500
Date: Tue, 20 Dec 2016 18:11:40 +0200
Message-Id: <83vaue37ib.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <58590F28.9040309@HIDDEN> (message from martin rudalics on Tue,
 20 Dec 2016 11:59:52 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN> <58590F28.9040309@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Tue, 20 Dec 2016 11:59:52 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org
> 
>  > Can you describe how that mechanism is triggered by the offending
>  > change?
> 
> Which one is "the offending change"?

The one whose commit caused this issue to arise, commit e65c307.

> If you reread the thread, you will
> see that there are controversial opinions.  Anyway, here we go.

Thanks, but that's not what I asked about.  I asked to describe how
the change after which this issue appeared causes it to appear.  IOW,
what does the current code do that wasn't done before e65c307, which
triggers this problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 11:19:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 06:19:07 2016
Received: from localhost ([127.0.0.1]:48293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJIRn-0003QA-Hz
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 06:19:07 -0500
Received: from mx2.suse.de ([195.135.220.15]:60272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cJIRk-0003Pu-H4
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 06:19:05 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 3B072AC38;
 Tue, 20 Dec 2016 11:19:02 +0000 (UTC)
Date: Tue, 20 Dec 2016 12:18:58 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
Message-ID: <20161220111858.gp723ihyr2ylqr7a@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
 <58584121.1070404@HIDDEN> <83d1gn4pl2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="kwu5hgnl3z5vpwaz"
Content-Disposition: inline
In-Reply-To: <83d1gn4pl2.fsf@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 25228
Cc: martin rudalics <rudalics@HIDDEN>, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


--kwu5hgnl3z5vpwaz
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Dec 19, 2016 at 10:43:37PM +0200, Eli Zaretskii wrote:
> > Date: Mon, 19 Dec 2016 21:20:49 +0100
> > From: martin rudalics <rudalics@HIDDEN>
> > CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org
> >=20
> > IIUC all this =E2=80=98dynamic-setting-handle-config-changed-event=E2=
=80=99 mechanism is
> > about detecting changes applied to GConf and/or GSettings on the fly and
> > applying them to the running Emacs session.  Such configuration settings
> > should never override anything specified by the user in her .emacs.  The
> > mechanism was virtually inoperative for four years until Paul changed an
> > innocuous parameter descriptor.  So this mechanism has never been tested
> > in all those years ...
>=20
> Can you describe how that mechanism is triggered by the offending
> change?

Just play around with eval-region/expression ... that is that I can switch =
with

  (font-setting-change-default-font ":0" t)

or

  (font-setting-change-default-font ":0" nil)

to the system default font settings and then with

  (custom-set-faces '(default ((t (:family "B&H LucidaTypewriter"
    :foundry "B&H" :slant normal :weight normal :height 110 :width normal))=
)))

IMHO it would be enough if the API below (custom-set-faces) would set
the default font used by (font-setting-change-default-font) ... or the
otherway around that (font-setting-change-default-font) would respect
the values specified by (custom-set-faces).

Debugging the code (font-setting-change-default-font) function shows with

   (setq frame-list (frames-on-display-list ":0"))
   (setq f (nth 0 frame-list))

to get the frame f that the face attribute is set correct

   (face-attribute 'default :font f 'default)

   #<font-object "-B&H-B&H LucidaTypewriter-normal-normal-normal-Sans-14-*-=
*-*-m-90-iso10646-1"> [2 times]

but using the outer call of font-get

   (font-get (face-attribute 'default :font f 'default) :user-spec)

results in

   "Monospace 11"

which is *not*  LucidaTypewriter. And as the call

   (frame-parameter f 'font-parameter)

returns nil the full call of the or switch

  (or (font-get (face-attribute 'default :font f 'default)
                               :user-spec)
                     (frame-parameter f 'font-parameter))

does return

   "Monospace 11"



Werner

--=20
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr

--kwu5hgnl3z5vpwaz
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAABAgAGBQJYWROiAAoJEFDpDVUdwWsuczIQAJipntCvr6GALLrYb6QdR9kO
5tH7q9tZtEn748BKg+46nGi0ZJ9kr63ipQlzuTC3NszLApfKVU4YY0oTnoit0Jqa
7m/rP6RZi3Ad0/r76cnZEXY4QIyOvzCJkts/7P5qdQKoSdXeKL77KzuhBKESW5Gn
uj5GuCXfGgOBwjk0WjLUT1KH+aOGtHu6jrIHmXN1r/69KDQh5rZvGCMhFtKpHHnt
1oKmiJdHvQZtKcC+9JmKH58mMqu63Fj1HDLFS57axpUqaQt0uNXBSwULmdQd0Ovq
CN93aJYpG7gbimnwsPqyGhZMlHSzuqUwADdMsIOW/uulikHuabkqmxwspiiKIvOl
bAVrkEpkZ+7PIZTeYobITXtwS5nAQ65OxDJxVXWliPjh1ApzcjJnh7Nzim1i+Vo7
xt34EOJ2OCFOeiDexkkOGJIQCxaVb3r+RbNoTXEwto3wEsiz6ROWBZC6E+R2zXOa
ppGsUmq8LkJZXmmYWuFyoTSkd+LE9//Ep2K7bbvbk/uO4qxV1poHiA8/+ZZsaTVc
28QSzAJU7rE25RyLa+qVNp7+tE1ykAOETMgdombJPHcXYl7Zm9s3KI3lW4rcahN2
KCd5VeHopV29+nNvMx+unaw5iNwmCUCkJX7U/YPEa3Q3cakCXOAtyfOvKadWO7P5
r/wxXqvAQCxvoP2cRIeH
=t3bz
-----END PGP SIGNATURE-----

--kwu5hgnl3z5vpwaz--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 20 Dec 2016 11:00:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 20 06:00:16 2016
Received: from localhost ([127.0.0.1]:48284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJI9X-0002tX-Em
	for submit <at> debbugs.gnu.org; Tue, 20 Dec 2016 06:00:16 -0500
Received: from mout.gmx.net ([212.227.15.19]:56731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJI9U-0002tC-ON
 for 25228 <at> debbugs.gnu.org; Tue, 20 Dec 2016 06:00:13 -0500
Received: from [192.168.1.100] ([212.95.7.55]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MSMP5-1c8eug2yIl-00TYZN; Tue, 20
 Dec 2016 12:00:01 +0100
Message-ID: <58590F28.9040309@HIDDEN>
Date: Tue, 20 Dec 2016 11:59:52 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
 <83d1gn4pl2.fsf@HIDDEN>
In-Reply-To: <83d1gn4pl2.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:cnfSDcthc79yHcHkB78u77suKo7Hx92sMmrHV9tTYVvRrhkDGy3
 CylQF24Ud+Ln0bm/BkI2ormWDhV/2GgqVCrGjf7XAJFJv7mFNJ9Gngsa5h7BxbSTQirjDSf
 QDPxhxJScCRoK33OQhaZIcCO763SHIMG/nh9F8WOaY2/QSWYt7Iyfiy/ous5j581hyZaZHY
 idXdV4/Zr0PE2UYLMnd/g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:gX8wgNmJ40Q=:YArePjEUgbP3n9qTEJ8MG7
 w4pBTv02L0Ce5hfpuD51+FThgGGk+gs0x3bdUQHfkkWuQ01mAwXAxCGKB8qsvdfl0tPRA1DNs
 Fvi4/UB4SZ5Yx2U7cBSk4W1Jt1SPQxD4JUhmztnaUStd1D9Jg3otIxmumuA59ych39Q5Z0gpT
 mEW3hl3SQTKPfSZtDHQi27hTbAd5N0V6/gLiMLZtwSTxg9IPqTy+rMuiRRGRwaii9peCGrNpt
 8gpkQukVA9IIBn1RsOxhjMVdd7q9MrFvTh1mrSbYm/ZdCHVUNM7BeDpsCcieP3zH6oo3UZCQ6
 n7qlMP8qLzEBVa3RDmTi0/3OyYEN2b+i61uUmcWM676bC1T0P43dT9e+zbxZxRY6lbIdikm5M
 BZv7tqQ2TE6AxNXlPHDLgzvpdG9wzVEXPbTcB88GxF0k7Odxjk2lCkY6sydkrGqtxGiDWDHv7
 qa2FZxr1w91/t5ws1lchl6yHvblX6Wbj1RJG0eLbeMXTc7s4ghZrg830HtmM2X2hO6z6yGTeT
 nU0Bk9u7TFnZXfLCVNu9bimCYzt+hlyDClcAepzqCoTTN8ipNE+IyUmPI/jr4iYkllC6shy1Y
 EEAkjX03KGnNhEAptC1KF78d6uxWxDHE75sHQJbehmvyXt+dk7UfYJFgLQKGC9tIigapQDl60
 g8WZ8dhNvqcMYXNLjFPxWXmq9siN9qR18sFQ+SDdAIYws1xHJUapNP/TUx3lWiy8JfYo5lHQG
 xH0xXKMVywa1OSgiz91QULieXvrMyycOeOniCCJ10MuF6qnYBUKAoAHxtz9SYm30DZxePmKTP
 nzcQ5hfB/xwyBbsTIpSC4Gm6rJQIg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Can you describe how that mechanism is triggered by the offending
 > change?

Which one is "the offending change"?  If you reread the thread, you will
see that there are controversial opinions.  Anyway, here we go.

I use a file /home/martin/temp/default-face.el with the following
contents:

(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  '(default ((t (:inherit nil :stipple nil :background "grey92" :foreground "black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 98 :width normal :foundry "unknown" :family "Droid Sans Mono")))))

The ":height 98" entry in this form before the offending change did set
the "height of the default face in 1/10 pt" to 98.  After the offending
change it is set to 113.  I have no idea what a "pt" is (and I have no
idea what an "inch" is).  But from experience I know that the value of
`window-font-height' for the root window of the initial frame is 15 for
a default face height of 98 and 18 for a default face height of 113.

As a consequence of the offending change, the frame character height of
my initial frame is now 18 instead of the desired 15.  In the following
I will try to explain how this happened here.

[Werner - if you read this, please try to repeat it, maybe you get a
completely different behavior.  I gdb one of my current versions of a
GTK build of master, so the line numbers may be off wrt what you have
(unfortunately, debugging the release version freezes GNU/Linux
completely here and I have to turn off the power in order to restart
it).]

I first visit the file xsettings.c in the .src directory and start the
debugger via M-x gdb completing it to

gdb -i=mi /home/martin/emacs-git/quick/obj-gtk/src/emacs

which includes the path of my GTK executable.  Next in xsettings.c I
move to line 611 which reads as

   memset (&oldsettings, 0, sizeof (oldsettings));

and set a breakpoint there.  Then I run the executable via

run -Q --load /home/martin/temp/default-face.el

and wait till the breakpoint is hit.  In the function where I set the
breakpoint (apply_xft_settings) I now want to trigger the setting of the
variable

       changed = true;

I do this by stepping via "n" and find that it happens on line 675
because of oldsettings.dpi != settings->dpi: The old value was
96.281588447653434 while the new value is 96.  As a consequence, on line
701 a

       store_config_changed_event (Qfont_render,
				  XCAR (dpyinfo->name_list_element));

will store an event in my event queue whose execution will eventually
trigger the offending change.  The backtrace till here is:

#0  apply_xft_settings (dpyinfo=0xef1230, settings=0x7fffffffb280) at ../../src/xsettings.c:702
#1  0x000000000056bc31 in read_and_apply_settings (dpyinfo=0xef1230, send_event_p=false) at ../../src/xsettings.c:726
#2  0x000000000056c073 in init_xsettings (dpyinfo=0xef1230) at ../../src/xsettings.c:938
#3  0x000000000056c0ae in xsettings_initialize (dpyinfo=0xef1230) at ../../src/xsettings.c:948
#4  0x00000000005508f6 in x_term_init (display_name=..., xrm_option=0x0, resource_name=0xe38010 "emacs") at ../../src/xterm.c:12617
#5  0x000000000055b6bc in Fx_open_connection (display=..., xrm_string=..., must_succeed=...) at ../../src/xfns.c:5257
#6  0x000000000063500e in Ffuncall (nargs=4, args=0x7fffffffba50) at ../../src/eval.c:2722
#7  0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x7fffffffc458) at ../../src/bytecode.c:639
#8  0x0000000000635993 in funcall_lambda (fun=..., nargs=0, arg_vector=0x7fffffffc458) at ../../src/eval.c:2879
#9  0x0000000000635215 in Ffuncall (nargs=1, args=0x7fffffffc450) at ../../src/eval.c:2764
#10 0x0000000000633c4a in Fapply (nargs=2, args=0x7fffffffc450) at ../../src/eval.c:2296
#11 0x0000000000634e71 in Ffuncall (nargs=3, args=0x7fffffffc448) at ../../src/eval.c:2695
#12 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x7fffffffcbf0) at ../../src/bytecode.c:639
#13 0x0000000000635993 in funcall_lambda (fun=..., nargs=0, arg_vector=0x7fffffffcbf0) at ../../src/eval.c:2879
#14 0x0000000000635215 in Ffuncall (nargs=1, args=0x7fffffffcbe8) at ../../src/eval.c:2764
#15 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x7fffffffda88) at ../../src/bytecode.c:639
#16 0x0000000000635993 in funcall_lambda (fun=..., nargs=0, arg_vector=0x7fffffffda88) at ../../src/eval.c:2879
#17 0x0000000000635215 in Ffuncall (nargs=1, args=0x7fffffffda80) at ../../src/eval.c:2764
#18 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x7fffffffe2c0) at ../../src/bytecode.c:639
#19 0x0000000000635993 in funcall_lambda (fun=..., nargs=0, arg_vector=0x7fffffffe2c0) at ../../src/eval.c:2879
#20 0x00000000006355dd in apply_lambda (fun=..., args=..., count=4) at ../../src/eval.c:2816
#21 0x000000000063391b in eval_sub (form=...) at ../../src/eval.c:2233
#22 0x0000000000632d15 in Feval (form=..., lexical=...) at ../../src/eval.c:2010
#23 0x0000000000582abe in top_level_2 () at ../../src/keyboard.c:1127
#24 0x000000000063126a in internal_condition_case (bfun=0x582aa1 <top_level_2>, handlers=..., hfun=0x5824c2 <cmd_error>) at ../../src/eval.c:1314
#25 0x0000000000582aff in top_level_1 (ignore=...) at ../../src/keyboard.c:1135
#26 0x00000000006307f8 in internal_catch (tag=..., func=0x582ac0 <top_level_1>, arg=...) at ../../src/eval.c:1080
#27 0x00000000005829f9 in command_loop () at ../../src/keyboard.c:1096
#28 0x0000000000581fd6 in recursive_edit_1 () at ../../src/keyboard.c:703
#29 0x00000000005821b5 in Frecursive_edit () at ../../src/keyboard.c:774
#30 0x000000000057ff33 in main (argc=4, argv=0x7fffffffe8a8) at ../../src/emacs.c:1659

Lisp Backtrace:
"x-open-connection" (0xffffba58)
0x13cc630 PVEC_COMPILED
"apply" (0xffffc450)
"window-system-initialization" (0xffffcbf0)
"command-line" (0xffffda88)
"normal-top-level" (0xffffe2c0)
(gdb)

Now I set a breakpoint in the function x_new_font of xterm.c at the
beginning of the line

FRAME_LINE_HEIGHT (f) = font_ascent + font_descent;

which is line 9829 here (yours will surely differ) and continue
debugging via "c".  After hitting the breakpoint I do

(gdb) p font_ascent + font_descent
$11 = 18

This is not the value I wanted via my customizations - I want a value of
15.  So I continue until I get the desired value via

(gdb) p font_ascent + font_descent
$13 = 15

The backtrace till here is

#0  x_new_font (f=0x1423860, font_object=..., fontset=21) at ../../src/xterm.c:9829
#1  0x0000000000430a53 in x_set_font (f=0x1423860, arg=..., oldval=...) at ../../src/frame.c:3749
#2  0x000000000042e809 in x_set_frame_parameters (f=0x1423860, alist=...) at ../../src/frame.c:3342
#3  0x000000000042d1b6 in Fmodify_frame_parameters (frame=..., alist=...) at ../../src/frame.c:2801
#4  0x000000000052fe9a in set_font_frame_param (frame=..., lface=...) at ../../src/xfaces.c:3328
#5  0x000000000052f65b in Finternal_set_lisp_face_attribute (face=..., attr=..., value=..., frame=...) at ../../src/xfaces.c:3142
#6  0x0000000000635051 in Ffuncall (nargs=5, args=0x7fffffff7ca0) at ../../src/eval.c:2726
#7  0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=32, args=0x7fffffff84c8) at ../../src/bytecode.c:639
#8  0x0000000000635993 in funcall_lambda (fun=..., nargs=32, arg_vector=0x7fffffff84b8) at ../../src/eval.c:2879
#9  0x0000000000635215 in Ffuncall (nargs=33, args=0x7fffffff84b0) at ../../src/eval.c:2764
#10 0x0000000000634271 in Fapply (nargs=4, args=0x7fffffff87a0) at ../../src/eval.c:2343
#11 0x0000000000634e71 in Ffuncall (nargs=5, args=0x7fffffff8798) at ../../src/eval.c:2695
#12 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=3, args=0x7fffffff8f58) at ../../src/bytecode.c:639
#13 0x0000000000635993 in funcall_lambda (fun=..., nargs=3, arg_vector=0x7fffffff8f40) at ../../src/eval.c:2879
#14 0x0000000000635215 in Ffuncall (nargs=4, args=0x7fffffff8f38) at ../../src/eval.c:2764
#15 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=2, args=0x7fffffff9728) at ../../src/bytecode.c:639
#16 0x0000000000635993 in funcall_lambda (fun=..., nargs=2, arg_vector=0x7fffffff9718) at ../../src/eval.c:2879
#17 0x0000000000635215 in Ffuncall (nargs=3, args=0x7fffffff9710) at ../../src/eval.c:2764
#18 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=3, args=0x7fffffff9eb8) at ../../src/bytecode.c:639
#19 0x0000000000635993 in funcall_lambda (fun=..., nargs=3, arg_vector=0x7fffffff9ea0) at ../../src/eval.c:2879
#20 0x0000000000635215 in Ffuncall (nargs=4, args=0x7fffffff9e98) at ../../src/eval.c:2764
#21 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x0) at ../../src/bytecode.c:639
#22 0x0000000000635e3a in funcall_lambda (fun=..., nargs=2, arg_vector=0xa1a5d5) at ../../src/eval.c:2945
#23 0x0000000000635215 in Ffuncall (nargs=3, args=0x7fffffffa850) at ../../src/eval.c:2764
#24 0x0000000000633cc6 in Fapply (nargs=3, args=0x7fffffffa850) at ../../src/eval.c:2300
#25 0x0000000000634e71 in Ffuncall (nargs=4, args=0x7fffffffa848) at ../../src/eval.c:2695
#26 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x0) at ../../src/bytecode.c:639
#27 0x0000000000635e3a in funcall_lambda (fun=..., nargs=1, arg_vector=0xa1a47d) at ../../src/eval.c:2945
#28 0x00000000006355dd in apply_lambda (fun=..., args=..., count=37) at ../../src/eval.c:2816
#29 0x000000000063391b in eval_sub (form=...) at ../../src/eval.c:2233
#30 0x0000000000669c55 in readevalloop_eager_expand_eval (val=..., macroexpand=...) at ../../src/lread.c:1759
#31 0x000000000066a3ab in readevalloop (readcharfun=..., stream=0x0, sourcename=..., printflag=false, unibyte=..., readfun=..., start=..., end=...) at ../../src/lread.c:1927
#32 0x000000000066a715 in Feval_buffer (buffer=..., printflag=..., filename=..., unibyte=..., do_allow_print=...) at ../../src/lread.c:1993
#33 0x000000000063509f in Ffuncall (nargs=6, args=0x7fffffffb358) at ../../src/eval.c:2731
#34 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x0) at ../../src/bytecode.c:639
#35 0x0000000000635e3a in funcall_lambda (fun=..., nargs=4, arg_vector=0x9d2c5d) at ../../src/eval.c:2945
#36 0x0000000000635215 in Ffuncall (nargs=5, args=0x7fffffffbb90) at ../../src/eval.c:2764
#37 0x0000000000634a2f in call4 (fn=..., arg1=..., arg2=..., arg3=..., arg4=...) at ../../src/eval.c:2599
#38 0x0000000000668641 in Fload (file=..., noerror=..., nomessage=..., nosuffix=..., must_suffix=...) at ../../src/lread.c:1278
#39 0x000000000063509f in Ffuncall (nargs=4, args=0x7fffffffc000) at ../../src/eval.c:2731
#40 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=1, args=0x7fffffffcbf8) at ../../src/bytecode.c:639
#41 0x0000000000635993 in funcall_lambda (fun=..., nargs=1, arg_vector=0x7fffffffcbf0) at ../../src/eval.c:2879
#42 0x0000000000635215 in Ffuncall (nargs=2, args=0x7fffffffcbe8) at ../../src/eval.c:2764
#43 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x7fffffffda88) at ../../src/bytecode.c:639
#44 0x0000000000635993 in funcall_lambda (fun=..., nargs=0, arg_vector=0x7fffffffda88) at ../../src/eval.c:2879
#45 0x0000000000635215 in Ffuncall (nargs=1, args=0x7fffffffda80) at ../../src/eval.c:2764
#46 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x7fffffffe2c0) at ../../src/bytecode.c:639
#47 0x0000000000635993 in funcall_lambda (fun=..., nargs=0, arg_vector=0x7fffffffe2c0) at ../../src/eval.c:2879
#48 0x00000000006355dd in apply_lambda (fun=..., args=..., count=4) at ../../src/eval.c:2816
#49 0x000000000063391b in eval_sub (form=...) at ../../src/eval.c:2233
#50 0x0000000000632d15 in Feval (form=..., lexical=...) at ../../src/eval.c:2010
#51 0x0000000000582abe in top_level_2 () at ../../src/keyboard.c:1127
#52 0x000000000063126a in internal_condition_case (bfun=0x582aa1 <top_level_2>, handlers=..., hfun=0x5824c2 <cmd_error>) at ../../src/eval.c:1314
#53 0x0000000000582aff in top_level_1 (ignore=...) at ../../src/keyboard.c:1135
#54 0x00000000006307f8 in internal_catch (tag=..., func=0x582ac0 <top_level_1>, arg=...) at ../../src/eval.c:1080
#55 0x00000000005829f9 in command_loop () at ../../src/keyboard.c:1096
#56 0x0000000000581fd6 in recursive_edit_1 () at ../../src/keyboard.c:703
#57 0x00000000005821b5 in Frecursive_edit () at ../../src/keyboard.c:774
#58 0x000000000057ff33 in main (argc=4, argv=0x7fffffffe8a8) at ../../src/emacs.c:1659

Lisp Backtrace:
"internal-set-lisp-face-attribute" (0xffff7ca8)
"set-face-attribute" (0xffff84b8)
"apply" (0xffff87a0)
"face-spec-set-2" (0xffff8f40)
"face-spec-recalc" (0xffff9718)
"face-spec-set" (0xffff9ea0)
"custom-theme-set-faces" (0xffffa858)
"apply" (0xffffa850)
"custom-set-faces" (0xffffae90)
"eval-buffer" (0xffffb360)
"load-with-code-conversion" (0xffffbb98)
"load" (0xffffc008)
"command-line-1" (0xffffcbf0)
"command-line" (0xffffda88)
"normal-top-level" (0xffffe2c0)
(gdb)

So it's easy to see that my `custom-set-faces' got applied and I could
be happy.  However, typing "c" again will, unfortunately, reveal that my
customized settings get overruled by the earlier seen

(gdb) p font_ascent + font_descent
$14 = 18

The associated backtrace is now

#0  x_new_font (f=0x1423860, font_object=..., fontset=2) at ../../src/xterm.c:9829
#1  0x0000000000430a53 in x_set_font (f=0x1423860, arg=..., oldval=...) at ../../src/frame.c:3749
#2  0x000000000042e809 in x_set_frame_parameters (f=0x1423860, alist=...) at ../../src/frame.c:3342
#3  0x000000000042d1b6 in Fmodify_frame_parameters (frame=..., alist=...) at ../../src/frame.c:2801
#4  0x000000000052fe9a in set_font_frame_param (frame=..., lface=...) at ../../src/xfaces.c:3328
#5  0x000000000052f65b in Finternal_set_lisp_face_attribute (face=..., attr=..., value=..., frame=...) at ../../src/xfaces.c:3142
#6  0x0000000000635051 in Ffuncall (nargs=5, args=0x7fffffffb760) at ../../src/eval.c:2726
#7  0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=10, args=0x7fffffffbf90) at ../../src/bytecode.c:639
#8  0x0000000000635993 in funcall_lambda (fun=..., nargs=10, arg_vector=0x7fffffffbf80) at ../../src/eval.c:2879
#9  0x0000000000635215 in Ffuncall (nargs=11, args=0x7fffffffbf78) at ../../src/eval.c:2764
#10 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x0) at ../../src/bytecode.c:639
#11 0x0000000000635e3a in funcall_lambda (fun=..., nargs=2, arg_vector=0xb4f7c5) at ../../src/eval.c:2945
#12 0x0000000000635215 in Ffuncall (nargs=3, args=0x7fffffffc748) at ../../src/eval.c:2764
#13 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=0, args=0x0) at ../../src/bytecode.c:639
#14 0x0000000000635e3a in funcall_lambda (fun=..., nargs=1, arg_vector=0xb4f93d) at ../../src/eval.c:2945
#15 0x0000000000635215 in Ffuncall (nargs=2, args=0x7fffffffcfd8) at ../../src/eval.c:2764
#16 0x000000000062afdd in Ffuncall_interactively (nargs=2, args=0x7fffffffcfd8) at ../../src/callint.c:252
#17 0x0000000000634e71 in Ffuncall (nargs=3, args=0x7fffffffcfd0) at ../../src/eval.c:2695
#18 0x000000000062d5a0 in Fcall_interactively (function=..., record_flag=..., keys=...) at ../../src/callint.c:843
#19 0x000000000063500e in Ffuncall (nargs=4, args=0x7fffffffd488) at ../../src/eval.c:2722
#20 0x00000000006829ce in exec_byte_code (bytestr=..., vector=..., maxdepth=..., args_template=..., nargs=4, args=0x7fffffffdce8) at ../../src/bytecode.c:639
#21 0x0000000000635993 in funcall_lambda (fun=..., nargs=4, arg_vector=0x7fffffffdcc8) at ../../src/eval.c:2879
#22 0x0000000000635215 in Ffuncall (nargs=5, args=0x7fffffffdcc0) at ../../src/eval.c:2764
#23 0x0000000000634a2f in call4 (fn=..., arg1=..., arg2=..., arg3=..., arg4=...) at ../../src/eval.c:2599
#24 0x000000000058775d in read_char (commandflag=1, map=..., prev_event=..., used_mouse_menu=0x7fffffffe21f, end_time=0x0) at ../../src/keyboard.c:2854
#25 0x00000000005975a7 in read_key_sequence (keybuf=0x7fffffffe3b0, bufsize=30, prompt=..., dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9155
#26 0x0000000000583286 in command_loop_1 () at ../../src/keyboard.c:1376
#27 0x000000000063126a in internal_condition_case (bfun=0x582e50 <command_loop_1>, handlers=..., hfun=0x5824c2 <cmd_error>) at ../../src/eval.c:1314
#28 0x0000000000582a7e in command_loop_2 (ignore=...) at ../../src/keyboard.c:1118
#29 0x00000000006307f8 in internal_catch (tag=..., func=0x582a55 <command_loop_2>, arg=...) at ../../src/eval.c:1080
#30 0x0000000000582a20 in command_loop () at ../../src/keyboard.c:1097
#31 0x0000000000581fd6 in recursive_edit_1 () at ../../src/keyboard.c:703
#32 0x00000000005821b5 in Frecursive_edit () at ../../src/keyboard.c:774
#33 0x000000000057ff33 in main (argc=4, argv=0x7fffffffe8a8) at ../../src/emacs.c:1659

Lisp Backtrace:
"internal-set-lisp-face-attribute" (0xffffb768)
"set-face-attribute" (0xffffbf80)
"font-setting-change-default-font" (0xffffc750)
"dynamic-setting-handle-config-changed-event" (0xffffcfe0)
"funcall-interactively" (0xffffcfd8)
"call-interactively" (0xffffd490)
"command-execute" (0xffffdcc8)
(gdb)

It's easy to spot `dynamic-setting-handle-config-changed-event' as the
source of this.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 19 Dec 2016 20:44:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 15:44:26 2016
Received: from localhost ([127.0.0.1]:48000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ4nJ-0008Vd-Tq
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 15:44:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJ4nI-0008VQ-F4
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 15:44:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJ4n9-0004NR-Fj
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 15:44:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.1 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49209)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJ4n9-0004NL-Cf; Mon, 19 Dec 2016 15:44:15 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2539
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJ4n7-0005vs-Ph; Mon, 19 Dec 2016 15:44:15 -0500
Date: Mon, 19 Dec 2016 22:43:37 +0200
Message-Id: <83d1gn4pl2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <58584121.1070404@HIDDEN> (message from martin rudalics on Mon,
 19 Dec 2016 21:20:49 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN> <58584121.1070404@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Mon, 19 Dec 2016 21:20:49 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: werner@HIDDEN, 25228 <at> debbugs.gnu.org
> 
> IIUC all this ‘dynamic-setting-handle-config-changed-event’ mechanism is
> about detecting changes applied to GConf and/or GSettings on the fly and
> applying them to the running Emacs session.  Such configuration settings
> should never override anything specified by the user in her .emacs.  The
> mechanism was virtually inoperative for four years until Paul changed an
> innocuous parameter descriptor.  So this mechanism has never been tested
> in all those years ...

Can you describe how that mechanism is triggered by the offending
change?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 19 Dec 2016 20:21:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 15:21:08 2016
Received: from localhost ([127.0.0.1]:47986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ4Qm-0007uN-E5
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 15:21:08 -0500
Received: from mout.gmx.net ([212.227.15.15]:56264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJ4Qk-0007tY-Ps
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 15:21:07 -0500
Received: from [192.168.1.100] ([212.95.7.93]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Mbxdm-1c33kK3B4w-00JLHJ; Mon, 19
 Dec 2016 21:20:58 +0100
Message-ID: <58584121.1070404@HIDDEN>
Date: Mon, 19 Dec 2016 21:20:49 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN> <83fulj4uhu.fsf@HIDDEN>
In-Reply-To: <83fulj4uhu.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:jw+P5CJpQyetFqHfdRf6R0aV7ryTYDIdRRPcA0Afg/SS7ZRMA+6
 KJpj20mHyT0GR91wGbAXFRWmLqT11zL1ImZye2Rk5/Hr17D/qXhhvMFXIoh8Q4molAx4HsI
 2iI+Bfk0ycIGiOWByLEMHpuxhOOCFiq3xnZNwQO33dQti4bQ9MCn7YeqOytA64ETRST1JZa
 F5LTyyvDNQu6aRb2Y4/yA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:hiXTCHodboM=:yGpL/SmuMVELZV4qlvKDEn
 wbCVNodCf7pEJ+NlFrEjkx/mP7iRWbTJK47w5hf7oOg5s9czxf5vQlAqlzCzrrm0XcMrv1/mo
 PuZ/l3xS8LVYghlUqTuTFh5uAWXLLJCCg/pDerIwlgf2GUIYjWkZB2au6UEw0bqI3tqWh0fGi
 9qs15wBKfm+EPt9yVd524m1/+ucPCOZxJFw9n1fp1OMi4ksqgSYooQHDflZCCBcpXY2V9aeeK
 nXHwF6ypG3ICXPJDx34NI3nWB1sAH681KUcuaz8hKvIWD6v+v9zl6E2LUFL6po1gV9XvuvunO
 ypPnjXhYMfw7kLN2twU0JjxokvXl1CvydLe1PwVbinN2UZbDsinSwUIeCV56A3QpVPS6+hL/V
 vQVx2WGi8kquAk1REYbYSZ/tMJ08GmFckxSH+CxLbUCbTrtvG8CdyMw2xRTBW/yjSlElij4kE
 XY0wcDJK87SsOrPFmFkQgqdmik6VuTnWDrgs9LdlPIXcSjf4iGtZFxVYTkBeH1mB1XEWyTPsJ
 gaZfPV0VH/ss3aezLIkDHkjJ2IIJQjZvHgdEEvspMtDl/+egfpetW8J7RVwhFmgKsRsEkaLlG
 GKpTR6VRKaC7C/wB2tbubmIWL9K9gdz0HbF1TasbUarIInZCL5g2//LLiI2rtzJjP9r0JRWFP
 uaAJ18ZAqcxzuPV9/C2VT4lJ0ZgFYprPLmk5G+XtCZdMIBLbYASAc351ctdEKBZUfks9PUpHB
 2NOOYd+lV+M0LqXsmGP9lv6j00W0WMWkFMx9vmAa9JJ0yfmRbYQ/k84NXZmwJIiIym1vQPNkI
 sLuMvdBstV6YqEVYkWKwdqcCSFgRw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Somebody with access to an effected system should debug this some day.=


Back then that idea stalled after

 > OK.  Below you'll get more than you asked for.  The breakpoint is hit
 > four times, the third (with a value of 15) when my .emacs is read and
 > the fourth (with a value of 18 again) when the
 > =E2=80=98dynamic-setting-handle-config-changed-event=E2=80=99 is proce=
ssed (the fourth
 > is the one I posted before).

and your answer

 > Thanks, I will look into that and see what it tells.

IIUC all this =E2=80=98dynamic-setting-handle-config-changed-event=E2=80=99=
 mechanism is
about detecting changes applied to GConf and/or GSettings on the fly and
applying them to the running Emacs session.  Such configuration settings
should never override anything specified by the user in her .emacs.  The
mechanism was virtually inoperative for four years until Paul changed an
innocuous parameter descriptor.  So this mechanism has never been tested
in all those years ...

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 19 Dec 2016 18:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 13:58:19 2016
Received: from localhost ([127.0.0.1]:47950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ38d-0005r6-7h
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 13:58:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJ38b-0005qv-Vk
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 13:58:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJ38S-000287-SM
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 13:58:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.6 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48277)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJ38S-000283-PY; Mon, 19 Dec 2016 13:58:08 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2180
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJ38R-00074f-6i; Mon, 19 Dec 2016 13:58:08 -0500
Date: Mon, 19 Dec 2016 20:57:33 +0200
Message-Id: <83fulj4uhu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5858289B.2070500@HIDDEN> (message from martin rudalics on Mon,
 19 Dec 2016 19:36:11 +0100)
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
 <5858289B.2070500@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: werner@HIDDEN, 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Mon, 19 Dec 2016 19:36:11 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: 25228 <at> debbugs.gnu.org
> 
>  > I cannot reproduce this.  I put the above (with a different font, as I
>  > don't have that one) in my .emacs, and it did have the expected
>  > effect.
>  >
>  > Is there anything else in that .emacs?
> 
> Compare
> 
> https://lists.gnu.org/archive/html/emacs-devel/2016-05/msg00557.html

Somebody with access to an effected system should debug this some day.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 19 Dec 2016 18:36:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 13:36:29 2016
Received: from localhost ([127.0.0.1]:47926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ2nU-0005Il-U3
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 13:36:29 -0500
Received: from mout.gmx.net ([212.227.15.15]:63993)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cJ2nS-0005IW-V7
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 13:36:27 -0500
Received: from [192.168.1.100] ([212.95.7.93]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MOw4N-1cGatI0PmJ-006L16; Mon, 19
 Dec 2016 19:36:19 +0100
Message-ID: <5858289B.2070500@HIDDEN>
Date: Mon, 19 Dec 2016 19:36:11 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, "Dr. Werner Fink" <werner@HIDDEN>
Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file
 ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN> <83oa074y73.fsf@HIDDEN>
In-Reply-To: <83oa074y73.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:+YckCBXS8zM34enOvDLXuBvOvKlKelq8ssCBeqU8+a+z/5YvG0y
 JQFsYd5rzxYG+nXP1pwKv/Vd9IWVAcN5Hrc104kRWq8QNlgBzly2pjwYk8FzNtR/Nlec8WH
 QDj+cakFhZ8WK5hS6qmvDSC5/uH9TxEQvIO+f3ClqJ7IlKlLjeNbJYGPnIRBJw0oe2peGBn
 o+AjGp1pw5sX7gRYbENCQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:og6E4qD2rVs=:mfKJOYBZ/AKonHpo4AMD6k
 9qDiXwXg7i7QsK7drC4DMUhesFT32sM+Z7JtB/9BB8LNbp3Xrg5RUAyzOnEphLa/nIP+53FYr
 KeI+s1EIIwIpaIZYcpGXE6PxjmaopYSlb8acfrD3JWie/mQzu5OWWuZTzqKFXdkmUryQLDtms
 BNVGVySSsJYSMk3NDUNRd9xjWfDGZhRcxBxhRWkkhwspY3m+0FTn/u+hLGl52qKQ3UumNd0AR
 d+CDC2S46R/TyxR/2fv0QGUb7mGNLGvUp1HyQsa+g8g9r1oW/clKkhbCrlymlE3wyy5Tf5via
 IRqOSH/c1IoTnIN90Nz/vv86lT+eZfEZG+vi909X/NXGLlkeDbSHYu6RNoMcFrljymWzJX9GZ
 m5Ry7pOeHkhVeNffY2hJAiJeRxLz4gfOQqEJm/6gwLGcGC+9wc41996hQQRw5xHlu3mxEH/gI
 hmXSsEwTQ/PFLvvUi18Umu5DS6MAhXB7kgBYyAfMGnFHGBtKo9P70st81Gd5j6NRD7AuXVbYm
 TfGELQjl5sTeNTfzogTMR/xC7iJQaxzVeqlHBFquCjcqDO9gE2b0n+fjS4jAJn6MWVkrRTBHZ
 +nBu8HjNF/hRpeGi9GOBZ2hzuuv5x8OAM2/hK+WhMa8bPDPWBMUQCPKj/ipE5Re+jZdELBOu7
 q91LKvv5g3o7Ccc9HWiu7jpudKe3sLeQBTjE1i1jZODTPLOdvV0/ivJeHk3c/vWK9TvXas12e
 hDthno6KVhuXdrw0Lv6ZaF3oVdoEdquKnosZ72oV682EADqOmGHIX9uTVWmA9fgettlH8wgsA
 sSAFEx0CxUS7wKDL4bwtmz5yp8bIA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25228
Cc: 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > I cannot reproduce this.  I put the above (with a different font, as I
 > don't have that one) in my .emacs, and it did have the expected
 > effect.
 >
 > Is there anything else in that .emacs?

Compare

https://lists.gnu.org/archive/html/emacs-devel/2016-05/msg00557.html

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at 25228 <at> debbugs.gnu.org:


Received: (at 25228) by debbugs.gnu.org; 19 Dec 2016 17:38:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 12:38:20 2016
Received: from localhost ([127.0.0.1]:47887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ1tE-00023Q-Np
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 12:38:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cJ1tC-000238-QO
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 12:38:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cJ1t4-00018C-BH
 for 25228 <at> debbugs.gnu.org; Mon, 19 Dec 2016 12:38:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.6 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47517)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cJ1t4-000186-8W; Mon, 19 Dec 2016 12:38:10 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1785
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cJ1t3-0003QH-Ez; Mon, 19 Dec 2016 12:38:10 -0500
Date: Mon, 19 Dec 2016 19:37:36 +0200
Message-Id: <83oa074y73.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: werner@HIDDEN (Dr. Werner Fink)
In-reply-to: <tszijsqlr9.fsf@HIDDEN> (werner@HIDDEN)
Subject: Re: bug#25228: 25.1;
 GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored
References: <tszijsqlr9.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25228
Cc: 25228 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> From: werner@HIDDEN (Dr. Werner Fink)
> Date: Mon, 19 Dec 2016 11:03:06 +0100
> 
> just get a bug report from an user and I've verified that: using
> (custom-set-faces) is ignored from ~/.emacs.  Using eval-expression
> in minibuffer after start shows that the function its self does work.
> 
> The example was
> (custom-set-faces '(default ((t (:family "B&H
> LucidaTypewriter" :foundry "B&H" :slant normal :weight normal :height 90
> :width normal)))))
> 
> I've tried direct in ~/.emacs as well as with a separate defined custom
> file in ~/.emacs with
> 
>   (setq custom-file "~/.gnu-emacs-custom")
>   (load custom-file t t)
> 
> and I've verified that ~/.emacs as well as ~/.gnu-emacs-custom will be
> loaded as strace shows.

I cannot reproduce this.  I put the above (with a different font, as I
don't have that one) in my .emacs, and it did have the expected
effect.

Is there anything else in that .emacs?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2016 16:40:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 11:40:54 2016
Received: from localhost ([127.0.0.1]:47816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ0zd-0005T8-8l
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 11:40:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cIza1-00035T-TR
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 10:10:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <werner@HIDDEN>) id 1cIzZt-0007jz-H7
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 10:10:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HK_NAME_DR
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42085)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <werner@HIDDEN>) id 1cIzZt-0007jb-EG
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 10:10:13 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35252)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <werner@HIDDEN>) id 1cIzZn-0000ak-KJ
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 10:10:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <werner@HIDDEN>) id 1cIzZk-0007Wp-9J
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 10:10:07 -0500
Received: from mx2.suse.de ([195.135.220.15]:40275)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <werner@HIDDEN>) id 1cIzZk-0007Us-2Y
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 10:10:04 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 34718ABFA
 for <bug-gnu-emacs@HIDDEN>; Mon, 19 Dec 2016 15:10:02 +0000 (UTC)
Date: Mon, 19 Dec 2016 16:09:59 +0100
From: "Dr. Werner Fink" <werner@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces
 from init file ~/.emacs ignored
Message-ID: <20161219150959.6egfytohooctpv3a@HIDDEN>
References: <tszijsqlr9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <tszijsqlr9.fsf@HIDDEN>
User-Agent: Mutt/1.6.2 (2016-07-01)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 19 Dec 2016 11:40:52 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

On Mon, Dec 19, 2016 at 11:03:06AM +0100, Werner Fink wrote:
> 
> Hi,
> 
> just get a bug report from an user and I've verified that: using
> (custom-set-faces) is ignored from ~/.emacs.  Using eval-expression
> in minibuffer after start shows that the function its self does work.
> 
> The example was
> (custom-set-faces '(default ((t (:family "B&H
> LucidaTypewriter" :foundry "B&H" :slant normal :weight normal :height 90
> :width normal)))))
> 
> I've tried direct in ~/.emacs as well as with a separate defined custom
> file in ~/.emacs with
> 
>   (setq custom-file "~/.gnu-emacs-custom")
>   (load custom-file t t)
> 
> and I've verified that ~/.emacs as well as ~/.gnu-emacs-custom will be
> loaded as strace shows.
> 


Using the line 

  (defalias 'dynamic-setting-handle-config-changed-event 'ignore)

in ~/.emacs or the custom-file does avoid the problem. The question rises
which event does trigger this even and wyh the custom settings are
expanded before this even.

Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2016 11:56:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 06:56:51 2016
Received: from localhost ([127.0.0.1]:46866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cIwYk-0004se-LG
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 06:56:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <werner@HIDDEN>) id 1cIuo5-000725-A8
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 05:04:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <werner@HIDDEN>) id 1cIunz-0006Pi-0C
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 05:04:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HK_NAME_DR
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47832)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <werner@HIDDEN>) id 1cIuny-0006Pc-Tw
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 05:04:26 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44759)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <werner@HIDDEN>) id 1cIunx-0000Dm-Fk
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 05:04:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <werner@HIDDEN>) id 1cIunu-0006MQ-Bs
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 05:04:25 -0500
Received: from mx2.suse.de ([195.135.220.15]:44387)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <werner@HIDDEN>) id 1cIunu-0006Lf-1E
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 05:04:22 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 34E69AD42
 for <bug-gnu-emacs@HIDDEN>; Mon, 19 Dec 2016 10:04:20 +0000 (UTC)
From: werner@HIDDEN (Dr. Werner Fink)
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored
Date: Mon, 19 Dec 2016 11:03:06 +0100
Message-ID: <tszijsqlr9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 19 Dec 2016 06:56:49 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Hi,

just get a bug report from an user and I've verified that: using
(custom-set-faces) is ignored from ~/.emacs.  Using eval-expression
in minibuffer after start shows that the function its self does work.

The example was
(custom-set-faces '(default ((t (:family "B&H
LucidaTypewriter" :foundry "B&H" :slant normal :weight normal :height 90
:width normal)))))

I've tried direct in ~/.emacs as well as with a separate defined custom
file in ~/.emacs with

  (setq custom-file "~/.gnu-emacs-custom")
  (load custom-file t t)

and I've verified that ~/.emacs as well as ~/.gnu-emacs-custom will be
loaded as strace shows.

In GNU Emacs 25.1.1 (x86_64-suse-linux-gnu, GTK+ Version 3.16.7)
 of 2016-09-21 built on lamb20
Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
System Description:	openSUSE Leap 42.1 (x86_64)

Configured using:
 'configure --with-pop --without-hesiod --with-kerberos --with-kerberos5
 --with-xim --with-wide-int --with-file-notification=inotify
 --with-modules --enable-autodepend --prefix=/usr
 --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share
 --localstatedir=/var --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --enable-locallisppath=/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
 --with-x --with-sound --with-xpm --with-jpeg --with-tiff --with-gif
 --with-png --with-rsvg --with-dbus --with-xft --without-gpm
 --with-x-toolkit=gtk3 --with-xwidgets --x-includes=/usr/include
 --x-libraries=/usr/lib64 --with-libotf --with-m17n-flt
 --build=x86_64-suse-linux 'CFLAGS=-fmessage-length=0
 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector
 -funwind-tables -fasynchronous-unwind-tables -g -D_GNU_SOURCE
 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGLIB_DISABLE_DEPRECATION_WARNINGS
 -pipe -Wno-pointer-sign -Wno-unused-variable -Wno-unused-label
 -Wno-unprototyped-calls -fno-optimize-sibling-calls -fno-PIE
 -DSYSTEM_PURESIZE_EXTRA=55000 -DSITELOAD_PURESIZE_EXTRA=10000 '
 LDFLAGS=-Wl,-O2'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS

Important settings:
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_NUMERIC: POSIX
  value of $LANG: POSIX
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  TeX-PDF-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
funcall-interactively: End of buffer [3 times]

Load-path shadows:
~/lib/site-lisp/rmime hides /usr/share/emacs/site-lisp/rmime

Features:
(shadow sort mail-extr warnings emacsbug message dired format-spec
rfc822 mml mml-sec password-cache epg epg-config gnus-util mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr
mail-utils font-latex byte-opt bytecomp byte-compile cl-extra help-mode
cl-loaddefs pcase cl-lib cconv tex dbus xml advice easymenu xfonts
rmailgen paren preview-latex tex-site auto-loads ispell time-date
mule-util delsel lpr tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting xwidget-internal move-toolbar
gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 108858 11724)
 (symbols 48 22141 0)
 (miscs 40 145 193)
 (strings 32 22181 5006)
 (string-bytes 1 672385)
 (vectors 16 14980)
 (vector-slots 8 495866 4807)
 (floats 8 183 129)
 (intervals 56 275 0)
 (buffers 976 19)
 (heap 1024 29223 918))




Acknowledgement sent to werner@HIDDEN (Dr. Werner Fink):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25228; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 Jul 2017 02:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.